'use strict';

exports.__esModule = true;

var _mkI18n = require('mk-element/lib/datas/mk-i18n');

var _mkI18n2 = _interopRequireDefault(_mkI18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var install = function install(Vue, store) {
  Vue.filter('dataI18n', function (value) {
    return _mkI18n2.default.findI18n(value);
  });
  Vue.filter('dataI18nIf', function (value) {
    var flag = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

    if (flag === false) {
      return '';
    } else {
      return _mkI18n2.default.findI18n(value);
    }
  });
  Vue.filter('dataI18nIfElse', function (value, value2) {
    var flag = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

    if (flag === true) {
      return _mkI18n2.default.findI18n(value);
    } else {
      return _mkI18n2.default.findI18n(value2);
    }
  });
};
exports.default = {
  install: install
};