module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 196);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/button");

/***/ }),

/***/ 196:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-button/src/main.vue?vue&type=template&id=9bfa6554&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      style: {
        marginLeft: _vm.gutter + "px",
        display: "inline-block",
        width: _vm.tab === true ? "" : "auto"
      }
    },
    [
      _c(
        "el-popover",
        {
          ref: "apopover",
          attrs: { placement: _vm.confirmPlacement, width: "160" },
          model: {
            value: _vm.apopovervisible,
            callback: function($$v) {
              _vm.apopovervisible = $$v
            },
            expression: "apopovervisible"
          }
        },
        [
          _vm.confirmText
            ? _c("p", {
                staticStyle: { color: "#000" },
                domProps: { innerHTML: _vm._s(_vm.confirmText) }
              })
            : _vm._e(),
          _c(
            "div",
            { staticStyle: { "text-align": "right", margin: "0" } },
            [
              _c(
                "el-button",
                {
                  attrs: { size: "mini", type: "text" },
                  on: {
                    click: function($event) {
                      _vm.apopovervisible = false
                    }
                  }
                },
                [_vm._v(_vm._s(_vm.confirmCancelText))]
              ),
              _c(
                "el-button",
                {
                  attrs: { type: "primary", size: "mini" },
                  on: { click: _vm.ck1 }
                },
                [_vm._v(_vm._s(_vm.confirmOkText))]
              )
            ],
            1
          )
        ]
      ),
      _vm.confirmText
        ? _c(
            "el-button",
            {
              directives: [
                {
                  name: "popover",
                  rawName: "v-popover:apopover",
                  arg: "apopover"
                }
              ],
              class: _vm.cls,
              style: {
                padding: _vm.padwidth + "px",
                paddingLeft: _vm.padwidth + "px"
              },
              attrs: {
                disabled: _vm.disabled,
                loading: _vm.loading,
                autofocus: _vm.autofocus,
                icon: _vm.icon,
                type: _vm.type === 4 ? "text" : "",
                size: "small",
                circle: _vm.circle
              }
            },
            [_vm._t("default")],
            2
          )
        : _c(
            "el-button",
            {
              class: _vm.cls,
              style: {
                padding: _vm.padwidth + "px",
                paddingLeft: _vm.padwidth + "px"
              },
              attrs: {
                disabled: _vm.disabled,
                loading: _vm.loading,
                autofocus: _vm.autofocus,
                icon: _vm.icon,
                type: _vm.type === 4 ? "text" : "",
                size: "small",
                circle: _vm.circle
              },
              on: { click: _vm.ck }
            },
            [_vm._t("default")],
            2
          )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/mk-button/src/main.vue?vue&type=template&id=9bfa6554&

// EXTERNAL MODULE: external "mk-element/lib/button"
var button_ = __webpack_require__(19);
var button_default = /*#__PURE__*/__webpack_require__.n(button_);

// EXTERNAL MODULE: external "mk-element/lib/popover"
var popover_ = __webpack_require__(63);
var popover_default = /*#__PURE__*/__webpack_require__.n(popover_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-button/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'mk-button',
  props: {
    disabled: { type: Boolean, default: false },
    type: { type: Number, default: 0 },
    loading: { type: Boolean, default: false },
    autofocus: { type: Boolean, default: false },
    icon: { type: String, default: '' },
    tab: { type: Boolean, default: false },
    size: { type: Number, default: 1 },
    confirmText: { type: String, default: '' },
    confirmText2: { type: String, default: '' },
    confirmText3: { type: String, default: '' },
    confirmOkText: { type: String, default: '确定' },
    confirmCancelText: { type: String, default: '取消' },
    confirmPlacement: { type: String, default: 'top' },
    padwidth: { type: Number, default: null },
    gutter: { type: Number, default: 0 },
    circle: { type: Boolean, default: false }
  },
  components: {
    ElButton: button_default.a,
    ElPopover: popover_default.a
  },
  data: function data() {
    return {
      apopovervisible: false
    };
  },

  computed: {
    cls: function cls() {
      return {
        but2: this.type === 0,
        'btn-bgwhate': this.type === 0 || this.type === 1,
        but3: this.type === 1,
        'btn-tabactive': this.tab === true && this.type === 1,
        blue: this.type === 2,
        'btn-bgblue': this.type === 2 || this.type === 3,
        bgblue: this.type === 2,
        gray: this.type === 3,
        'btn-bggray': this.type === 3,
        'btn-tab': this.tab === true,
        'btn-smallbutton': this.size === 0,
        'btn-nopadding': this.type === 5
      };
    }
  },
  methods: {
    ck1: function ck1() {
      this.apopovervisible = false;
      this.ck();
    },
    ck: function ck() {
      var _this = this;

      if ((!this.confirmText2 || this.confirmText2 && confirm(this.confirmText2)) && this.loading === false) {
        if (this.confirmText3) {
          this.$prompt('<span style="color:#ff0000;font-weight:bolder">' + this.confirmText3 + '</span>', '为了防止误操作,请输入以下文字', {
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            dangerouslyUseHTMLString: true,
            inputPattern: new RegExp('^' + this.confirmText3 + '$'),
            inputErrorMessage: '输入错误'
          }).then(function (_ref) {
            var value = _ref.value;

            _this.$emit('click');
          }).catch(function () {});
        } else {
          this.$emit('click');
        }
      }
    }
  }
});
// CONCATENATED MODULE: ./packages/mk-button/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/mk-button/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/mk-button/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/mk-button/index.js


main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var mk_button = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 63:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/popover");

/***/ })

/******/ });