module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 186);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/object/keys");

/***/ }),

/***/ 186:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-form-item/src/main.vue?vue&type=template&id=6daffd9c&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.mkTip
    ? _c(
        "el-popover",
        { attrs: { placement: "top-start", width: "210", trigger: "click" } },
        [
          _vm.mkLeLength > _vm.realLength
            ? _c("el-tag", { attrs: { type: "warning" } }, [
                _vm._v(
                  "还能输入" +
                    _vm._s(_vm.mkLeLength - _vm.realLength) +
                    "个字,最多" +
                    _vm._s(_vm.mkLeLength) +
                    "个字"
                )
              ])
            : _vm.mkLeLength < _vm.realLength
            ? _c("el-tag", { attrs: { type: "danger" } }, [
                _vm._v(
                  "多输了" +
                    _vm._s(_vm.realLength - _vm.mkLeLength) +
                    "个字,最多" +
                    _vm._s(_vm.mkLeLength) +
                    "个字"
                )
              ])
            : _c("el-tag", { attrs: { type: "success" } }, [
                _vm._v("刚好是" + _vm._s(_vm.mkLeLength) + "个字")
              ]),
          _c(
            "el-form-item",
            {
              ref: "item",
              class: { "is-required": _vm.required },
              attrs: {
                slot: "reference",
                label: _vm.label,
                "label-width": _vm.realLabelWidth,
                prop: _vm.prop,
                rules: [{ validator: this.vil, trigger: this.mkTrigger }],
                error: _vm.error,
                "inline-message": _vm.inlineMessage,
                "show-message": _vm.showMessage,
                size: _vm.size
              },
              slot: "reference"
            },
            [_vm._t("default")],
            2
          )
        ],
        1
      )
    : _c(
        "el-form-item",
        {
          ref: "item",
          class: { "is-required": _vm.required },
          attrs: {
            label: _vm.label,
            "label-width": _vm.realLabelWidth,
            prop: _vm.prop,
            rules: [{ validator: this.vil, trigger: this.mkTrigger }],
            error: _vm.error,
            "inline-message": _vm.inlineMessage,
            "show-message": _vm.showMessage,
            size: _vm.size
          }
        },
        [_vm._t("default")],
        2
      )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/mk-form-item/src/main.vue?vue&type=template&id=6daffd9c&

// EXTERNAL MODULE: external "babel-runtime/regenerator"
var regenerator_ = __webpack_require__(3);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "babel-runtime/core-js/get-iterator"
var get_iterator_ = __webpack_require__(27);
var get_iterator_default = /*#__PURE__*/__webpack_require__.n(get_iterator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/asyncToGenerator"
var asyncToGenerator_ = __webpack_require__(6);
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator_);

// EXTERNAL MODULE: external "mk-element/lib/form-item"
var form_item_ = __webpack_require__(89);
var form_item_default = /*#__PURE__*/__webpack_require__.n(form_item_);

// EXTERNAL MODULE: external "babel-runtime/core-js/object/keys"
var keys_ = __webpack_require__(12);
var keys_default = /*#__PURE__*/__webpack_require__.n(keys_);

// EXTERNAL MODULE: external "mk-element/lib/utils/util"
var util_ = __webpack_require__(5);

// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(8);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// CONCATENATED MODULE: ./packages/mk-form-item/src/patterns.js






var patterns = {
  'upper-letter': ['只能输入大写字母', /^[A-Z]+$/],
  'lower-letter': ['只能输入小写字母', /^[a-z]+$/],
  letter: ['只能输入字母', /^[a-zA-Z]+$/],
  'letter-2': ['只能是两位字母', /^[a-zA-Z]{2}$/],
  chinese: ['只能输入中文', /^[\u0391-\uFFE5]+$/],
  zonecode: ['邮编格式错误', /^\d{6}$/],
  qq: ['QQ格式错误', /^[1-9]\d{4,}$/],
  wechat: ['微信号码错误', /^[a-zA-Z]{1}[-_a-zA-Z0-9]{5,19}$/],
  email: ['邮箱格式错误', /^([0-9A-Za-z\-_.]+)@([0-9a-z]+\.[a-z]{2,3}(\.[a-z]{2})?)$/],
  mobile: ['手机号码格式错误', /^1(3|4|5|6|7|8)\d{9}$/],
  tel: ['电话号码格式错误', /^0\d{2,3}-?\d{7,8}$/],
  allphone: ['电话号码格式错误', /^1(3|4|5|6|7|8)\d{9}$|(^0\d{2,3}-?\d{7,8}$)/],
  license: ['营业执照格式错误', /^[A-Za-z0-9]{15}$|^[A-Za-z0-9]{18}$/],
  organ: ['组织机构代码格式错误', /^[0-9A-Za-z]{8}\-[0-9A-Za-z]$/],
  bank: ['银行卡号格式错误', /^(\d{15}|\d{16}|\d{17}|\d{18}|\d{19})$/],
  float: ['只能输入小数', /^-?(\d+\.\d+)$/],
  string: ['不可输入回车、tab', /^[^\n\r\t]$/],
  plus: ['只能输入正数', /^\d*[1-9]\d*$|^\d+\.\d*[0-9]\d*$/],
  'plus-int': ['只能输入正整数', /^\d*[1-9]\d*$/],
  'plus-float': ['只能输入正小数', /^\d+\.\d*[0-9]\d*$/],
  minus: ['只能输入负数', /^-\d*[1-9]\d*$|^-\d+\.\d*[0-9]\d*$/],
  'minus-int': ['只能输入负整数', /^-\d*[1-9]\d*$/],
  'minus-float': ['只能输入负小数', /^-\d+\.\d*[0-9]\d*$/],
  'un-plus': ['只能输入0或负数', /^(-[0-9]\d*|-\d+\.\d+|0[0]*|0\.[0]+)$/],
  'un-plus-int': ['只能输入0或负整数', /^(-[0-9]\d*|0[0]*)$/],
  'un-plus-float': ['只能输入0或负小数', /^(-\d+\.\d+|0[0]*|0\.[0]+)$/],
  'un-minus': ['只能输入0或者正数', /^([0-9]\d*|\d+\.\d+|0[0]*)$/],
  'un-minus-int': ['只能输入0或者正整数', /^([0-9]\d*)$/],
  'un-minus-float': ['只能输入0或正小数', /^(\d+\.\d+|0[0]*|0\.[0]+)$/],
  'id-card': ['身份证号码错误', /^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X|x)$/],
  number: ['只能输入数字', /^[1-9]\d*$|^0\.\d*[0-9]\d*$|^[1-9]\d*\.\d*[0-9]\d*$|^-[1-9]\d*$|^-0\.\d*[0-9]\d*$|^-[1-9]\d*\.\d*[0-9]\d*$/],
  int: ['只能输入整数', /^[1-9]\d*$|^-[1-9]\d*$/],
  price: ['只能是正数且最多两位小数', /^([0-9]\d*|\d+\.\d{1,2}|0[0]*)$/],
  'price-3': ['只能是正数且最多3位小数', /^([0-9]\d*|\d+\.\d{1,3}|0[0]*)$/],
  'price-4': ['只能是正数且最多4位小数', /^([0-9]\d*|\d+\.\d{1,4}|0[0]*)$/],
  'price-5': ['只能是正数且最多5位小数', /^([0-9]\d*|\d+\.\d{1,5}|0[0]*)$/],
  'rebate-1': ['只能在0到1之间且最多两位小数', /^(0|1|(0\.([0-9]){1,2}))$/],
  'rebate-10': ['只能在0到10之间且最多两位小数', /^((([0-9])\.([0-9]){1,2})$)|(^([1-9]|10)$)/],
  'rebate-100': ['只能在0到100之间且最多两位小数', /^((([0-9]){1,2}\.([0-9]){1,2})$)|(^([1-9]{1,2}|100)$)/],
  url: ['网址格式错误', /http(s)*:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!#]*([^<>\"\"])*$/],
  post: ['邮编格式错误', /^\d{6}$/]
};
var ms = {
  required: function required(trg, lab) {
    return '\u8BF7' + (trg === 'change' ? '选择' : '输入') + lab;
  },
  mkEq: function mkEq(vl, lab) {
    return lab + '\u5FC5\u987B\u7B49\u4E8E' + vl;
  },
  mkNe: function mkNe(vl, lab) {
    return lab + '\u4E0D\u80FD\u7B49\u4E8E' + vl;
  },
  mkLt: function mkLt(vl, lab) {
    return lab + '\u5FC5\u987B\u5C0F\u4E8E' + vl;
  },
  mkLe: function mkLe(vl, lab) {
    return lab + '\u5FC5\u987B\u5C0F\u4E8E\u6216\u7B49\u4E8E' + vl;
  },
  mkGt: function mkGt(vl, lab) {
    return lab + '\u5FC5\u987B\u5927\u4E8E' + vl;
  },
  mkGe: function mkGe(vl, lab) {
    return lab + '\u5FC5\u987B\u5927\u4E8E\u6216\u7B49\u4E8E' + vl;
  },
  mkEqLength: function mkEqLength(vl, lab) {
    return lab + '\u5FC5\u987B\u7B49\u4E8E' + vl + '\u4E2A\u5B57';
  },
  mkNeLength: function mkNeLength(vl, lab) {
    return lab + '\u4E0D\u80FD\u7B49\u4E8E' + vl + '\u4E2A\u5B57';
  },
  mkLtLength: function mkLtLength(vl, lab) {
    return lab + '\u5FC5\u987B\u5C11\u4E8E' + vl + '\u4E2A\u5B57';
  },
  mkLeLength: function mkLeLength(vl, lab) {
    return lab + '\u6700\u591A' + vl + '\u4E2A\u5B57';
  },
  mkGtLength: function mkGtLength(vl, lab) {
    return lab + '\u5FC5\u987B\u591A\u4E8E' + vl + '\u4E2A\u5B57';
  },
  mkGeLength: function mkGeLength(vl, lab) {
    return lab + '\u6700\u5C11' + vl + '\u4E2A\u5B57';
  },
  mkEnum: function mkEnum(vl, lab) {
    return lab + '\u53EA\u80FD\u8F93\u5165' + vl.join(',') + '\u4E2D\u7684\u4E00\u4E2A';
  },
  mkPattern: function mkPattern(lab) {
    return lab + '\u683C\u5F0F\u9519\u8BEF';
  }
};
var isEmptyValue = function isEmptyValue(value) {
  return value === '' || value === undefined || value === null;
};
var valueConvert = function valueConvert(value, type) {
  switch (type) {
    case 'string':
      return isEmptyValue(value) ? '' : value + '';
    case 'number':
      return isEmptyValue(value) ? null : value - 0;
    case 'boolean':
      return isEmptyValue(value) ? null : value === 'true' || value === true;
    default:
      return value;
  }
};
var getValue = function getValue(vl) {
  var targetValue = vl;
  if (typeof vl === 'function') {
    targetValue = vl();
  }
  return valueConvert(targetValue, this.mkType);
};
var patterns_getProp = function getProp(vl) {
  var model = this.form.model;
  if (!model || !vl) {
    return;
  }

  var path = vl;
  if (path.indexOf(':') !== -1) {
    path = path.replace(/:/, '.');
  }

  return Object(util_["getPropByPath"])(model, path, true).v;
};
var getLength = function getLength(vl) {
  return isEmptyValue(vl) ? 0 : (vl + '').length;
};
var patterns_toString = function toString(vl) {
  return isEmptyValue(vl) ? '' : vl + '';
};
var readLength = function readLength(vl) {
  if (typeof vl === 'function') {
    return vl();
  } else if (typeof vl === 'string') {
    return vl - 0;
  } else {
    return vl;
  }
};
var patterns_patternFn = function patternFn(rule, value) {
  if (isEmptyValue(value) === true) {
    return null;
  } else if (rule[1].length > 1) {
    for (var _iterator = rule[1], _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : get_iterator_default()(_iterator);;) {
      var _ref;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref = _i.value;
      }

      var p2 = _ref;

      if (p2.test(value) === true) {
        return null;
      }
    }
  } else if (rule[1].test(value)) {
    return null;
  } else {
    return new Error(rule[0]);
  }
};
var inlays = keys_default()(patterns);
var types = ['string', 'number', 'boolean'];
var fns = [function () {
  var _ref2 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee(rule, value) {
    return regenerator_default.a.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!(this.required === true)) {
              _context.next = 8;
              break;
            }

            if (!(isEmptyValue(value) === true)) {
              _context.next = 5;
              break;
            }

            return _context.abrupt('return', new Error(ms.required(this.mkTrigger, this.realLabel)));

          case 5:
            return _context.abrupt('return', null);

          case 6:
            _context.next = 9;
            break;

          case 8:
            return _context.abrupt('return', null);

          case 9:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  function required(_x, _x2) {
    return _ref2.apply(this, arguments);
  }

  return required;
}(), function () {
  var _ref3 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee2(rule, value) {
    var target, vl;
    return regenerator_default.a.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            if (!(this.mkEnum !== undefined)) {
              _context2.next = 11;
              break;
            }

            target = this.mkEnum;

            if (typeof this.mkEnum === 'function') {
              target = this.mkEnum();
            }
            vl = valueConvert(value, this.mkType);

            if (!(target.indexOf(vl) > -1)) {
              _context2.next = 8;
              break;
            }

            return _context2.abrupt('return', null);

          case 8:
            return _context2.abrupt('return', new Error(ms.mkEnum(target, this.realLabel)));

          case 9:
            _context2.next = 12;
            break;

          case 11:
            return _context2.abrupt('return', null);

          case 12:
          case 'end':
            return _context2.stop();
        }
      }
    }, _callee2, this);
  }));

  function mkEnum(_x3, _x4) {
    return _ref3.apply(this, arguments);
  }

  return mkEnum;
}(), function () {
  var _ref4 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee3(rule, value) {
    return regenerator_default.a.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            if (!(this.mkInlay !== undefined)) {
              _context3.next = 8;
              break;
            }

            if (!(patterns.hasOwnProperty(this.mkInlay) === true)) {
              _context3.next = 5;
              break;
            }

            return _context3.abrupt('return', patterns_patternFn(patterns[this.mkInlay], patterns_toString(value)));

          case 5:
            return _context3.abrupt('return', null);

          case 6:
            _context3.next = 9;
            break;

          case 8:
            return _context3.abrupt('return', null);

          case 9:
          case 'end':
            return _context3.stop();
        }
      }
    }, _callee3, this);
  }));

  function mkInlay(_x5, _x6) {
    return _ref4.apply(this, arguments);
  }

  return mkInlay;
}(), function () {
  var _ref5 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee4(rule, value) {
    return regenerator_default.a.wrap(function _callee4$(_context4) {
      while (1) {
        switch (_context4.prev = _context4.next) {
          case 0:
            if (!(this.mkPattern !== undefined)) {
              _context4.next = 8;
              break;
            }

            if (!(this.mkPattern.test(patterns_toString(value)) === true)) {
              _context4.next = 5;
              break;
            }

            return _context4.abrupt('return', null);

          case 5:
            return _context4.abrupt('return', new Error(ms.mkPattern(this.realLabel)));

          case 6:
            _context4.next = 9;
            break;

          case 8:
            return _context4.abrupt('return', null);

          case 9:
          case 'end':
            return _context4.stop();
        }
      }
    }, _callee4, this);
  }));

  function mkPattern(_x7, _x8) {
    return _ref5.apply(this, arguments);
  }

  return mkPattern;
}(), function () {
  var _ref6 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee5(rule, value) {
    return regenerator_default.a.wrap(function _callee5$(_context5) {
      while (1) {
        switch (_context5.prev = _context5.next) {
          case 0:
            if (!(this.mkCustom !== undefined)) {
              _context5.next = 6;
              break;
            }

            _context5.next = 3;
            return this.mkCustom(rule, value);

          case 3:
            return _context5.abrupt('return', _context5.sent);

          case 6:
            return _context5.abrupt('return', null);

          case 7:
          case 'end':
            return _context5.stop();
        }
      }
    }, _callee5, this);
  }));

  function mkCustom(_x9, _x10) {
    return _ref6.apply(this, arguments);
  }

  return mkCustom;
}(), function () {
  var _ref7 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee6(rule, value) {
    var model, data, key, validResult;
    return regenerator_default.a.wrap(function _callee6$(_context6) {
      while (1) {
        switch (_context6.prev = _context6.next) {
          case 0:
            if (!(this.mkRemote !== undefined)) {
              _context6.next = 16;
              break;
            }

            model = this.form.model;

            if (!(!model || !value)) {
              _context6.next = 4;
              break;
            }

            return _context6.abrupt('return', null);

          case 4:
            data = void 0;

            if (this.mkRemoteSkipField !== undefined) {
              data = {};
              for (key in model) {
                if (this.mkRemoteSkipField.indexOf(key) === -1) {
                  data[key] = model[key];
                }
              }
            } else {
              data = model;
            }
            _context6.next = 8;
            return external_vue_default.a.prototype.$post(this.mkRemote, data);

          case 8:
            validResult = _context6.sent;

            if (!validResult) {
              _context6.next = 13;
              break;
            }

            return _context6.abrupt('return', new Error(validResult));

          case 13:
            return _context6.abrupt('return', null);

          case 14:
            _context6.next = 17;
            break;

          case 16:
            return _context6.abrupt('return', null);

          case 17:
          case 'end':
            return _context6.stop();
        }
      }
    }, _callee6, this);
  }));

  function mkRemote(_x11, _x12) {
    return _ref7.apply(this, arguments);
  }

  return mkRemote;
}(), function () {
  var _ref8 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee7(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee7$(_context7) {
      while (1) {
        switch (_context7.prev = _context7.next) {
          case 0:
            if (!(this.mkEq !== undefined)) {
              _context7.next = 9;
              break;
            }

            target = getValue.call(this, this.mkEq);

            if (!(valueConvert(value, this.mkType) === target)) {
              _context7.next = 6;
              break;
            }

            return _context7.abrupt('return', null);

          case 6:
            return _context7.abrupt('return', new Error(ms.mkEq(target, this.realLabel)));

          case 7:
            _context7.next = 10;
            break;

          case 9:
            return _context7.abrupt('return', null);

          case 10:
          case 'end':
            return _context7.stop();
        }
      }
    }, _callee7, this);
  }));

  function mkEq(_x13, _x14) {
    return _ref8.apply(this, arguments);
  }

  return mkEq;
}(), function () {
  var _ref9 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee8(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee8$(_context8) {
      while (1) {
        switch (_context8.prev = _context8.next) {
          case 0:
            if (!(this.mkNe !== undefined)) {
              _context8.next = 9;
              break;
            }

            target = getValue.call(this, this.mkNe);

            if (!(valueConvert(value, this.mkType) !== target)) {
              _context8.next = 6;
              break;
            }

            return _context8.abrupt('return', null);

          case 6:
            return _context8.abrupt('return', new Error(ms.mkNe(target, this.realLabel)));

          case 7:
            _context8.next = 10;
            break;

          case 9:
            return _context8.abrupt('return', null);

          case 10:
          case 'end':
            return _context8.stop();
        }
      }
    }, _callee8, this);
  }));

  function mkNe(_x15, _x16) {
    return _ref9.apply(this, arguments);
  }

  return mkNe;
}(), function () {
  var _ref10 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee9(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee9$(_context9) {
      while (1) {
        switch (_context9.prev = _context9.next) {
          case 0:
            if (!(this.mkLt !== undefined)) {
              _context9.next = 9;
              break;
            }

            target = getValue.call(this, this.mkLt);

            if (!(valueConvert(value, this.mkType) < target)) {
              _context9.next = 6;
              break;
            }

            return _context9.abrupt('return', null);

          case 6:
            return _context9.abrupt('return', new Error(ms.mkLt(target, this.realLabel)));

          case 7:
            _context9.next = 10;
            break;

          case 9:
            return _context9.abrupt('return', null);

          case 10:
          case 'end':
            return _context9.stop();
        }
      }
    }, _callee9, this);
  }));

  function mkLt(_x17, _x18) {
    return _ref10.apply(this, arguments);
  }

  return mkLt;
}(), function () {
  var _ref11 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee10(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee10$(_context10) {
      while (1) {
        switch (_context10.prev = _context10.next) {
          case 0:
            if (!(this.mkLe !== undefined)) {
              _context10.next = 9;
              break;
            }

            target = getValue.call(this, this.mkLe);

            if (!(valueConvert(value, this.mkType) <= target)) {
              _context10.next = 6;
              break;
            }

            return _context10.abrupt('return', null);

          case 6:
            return _context10.abrupt('return', new Error(ms.mkLe(target, this.realLabel)));

          case 7:
            _context10.next = 10;
            break;

          case 9:
            return _context10.abrupt('return', null);

          case 10:
          case 'end':
            return _context10.stop();
        }
      }
    }, _callee10, this);
  }));

  function mkLe(_x19, _x20) {
    return _ref11.apply(this, arguments);
  }

  return mkLe;
}(), function () {
  var _ref12 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee11(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee11$(_context11) {
      while (1) {
        switch (_context11.prev = _context11.next) {
          case 0:
            if (!(this.mkGt !== undefined)) {
              _context11.next = 9;
              break;
            }

            target = getValue.call(this, this.mkGt);

            if (!(valueConvert(value, this.mkType) > target)) {
              _context11.next = 6;
              break;
            }

            return _context11.abrupt('return', null);

          case 6:
            return _context11.abrupt('return', new Error(ms.mkGt(target, this.realLabel)));

          case 7:
            _context11.next = 10;
            break;

          case 9:
            return _context11.abrupt('return', null);

          case 10:
          case 'end':
            return _context11.stop();
        }
      }
    }, _callee11, this);
  }));

  function mkGt(_x21, _x22) {
    return _ref12.apply(this, arguments);
  }

  return mkGt;
}(), function () {
  var _ref13 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee12(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee12$(_context12) {
      while (1) {
        switch (_context12.prev = _context12.next) {
          case 0:
            if (!(this.mkGe !== undefined)) {
              _context12.next = 9;
              break;
            }

            target = getValue.call(this, this.mkGe);

            if (!(valueConvert(value, this.mkType) >= target)) {
              _context12.next = 6;
              break;
            }

            return _context12.abrupt('return', null);

          case 6:
            return _context12.abrupt('return', new Error(ms.mkGe(target, this.realLabel)));

          case 7:
            _context12.next = 10;
            break;

          case 9:
            return _context12.abrupt('return', null);

          case 10:
          case 'end':
            return _context12.stop();
        }
      }
    }, _callee12, this);
  }));

  function mkGe(_x23, _x24) {
    return _ref13.apply(this, arguments);
  }

  return mkGe;
}(), function () {
  var _ref14 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee13(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee13$(_context13) {
      while (1) {
        switch (_context13.prev = _context13.next) {
          case 0:
            if (!(this.mkEqProp !== undefined)) {
              _context13.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkEqProp);

            if (!(valueConvert(value, this.mkType) === target)) {
              _context13.next = 6;
              break;
            }

            return _context13.abrupt('return', null);

          case 6:
            return _context13.abrupt('return', new Error(ms.mkEq(target, this.realLabel)));

          case 7:
            _context13.next = 10;
            break;

          case 9:
            return _context13.abrupt('return', null);

          case 10:
          case 'end':
            return _context13.stop();
        }
      }
    }, _callee13, this);
  }));

  function mkEqProp(_x25, _x26) {
    return _ref14.apply(this, arguments);
  }

  return mkEqProp;
}(), function () {
  var _ref15 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee14(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee14$(_context14) {
      while (1) {
        switch (_context14.prev = _context14.next) {
          case 0:
            if (!(this.mkNeProp !== undefined)) {
              _context14.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkNeProp);

            if (!(valueConvert(value, this.mkType) !== target)) {
              _context14.next = 6;
              break;
            }

            return _context14.abrupt('return', null);

          case 6:
            return _context14.abrupt('return', new Error(ms.mkNe(target, this.realLabel)));

          case 7:
            _context14.next = 10;
            break;

          case 9:
            return _context14.abrupt('return', null);

          case 10:
          case 'end':
            return _context14.stop();
        }
      }
    }, _callee14, this);
  }));

  function mkNeProp(_x27, _x28) {
    return _ref15.apply(this, arguments);
  }

  return mkNeProp;
}(), function () {
  var _ref16 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee15(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee15$(_context15) {
      while (1) {
        switch (_context15.prev = _context15.next) {
          case 0:
            if (!(this.mkLtProp !== undefined)) {
              _context15.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkLtProp);

            if (!(valueConvert(value, this.mkType) < target)) {
              _context15.next = 6;
              break;
            }

            return _context15.abrupt('return', null);

          case 6:
            return _context15.abrupt('return', new Error(ms.mkLt(target, this.realLabel)));

          case 7:
            _context15.next = 10;
            break;

          case 9:
            return _context15.abrupt('return', null);

          case 10:
          case 'end':
            return _context15.stop();
        }
      }
    }, _callee15, this);
  }));

  function mkLtProp(_x29, _x30) {
    return _ref16.apply(this, arguments);
  }

  return mkLtProp;
}(), function () {
  var _ref17 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee16(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee16$(_context16) {
      while (1) {
        switch (_context16.prev = _context16.next) {
          case 0:
            if (!(this.mkLeProp !== undefined)) {
              _context16.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkLeProp);

            if (!(valueConvert(value, this.mkType) <= target)) {
              _context16.next = 6;
              break;
            }

            return _context16.abrupt('return', null);

          case 6:
            return _context16.abrupt('return', new Error(ms.mkLe(target, this.realLabel)));

          case 7:
            _context16.next = 10;
            break;

          case 9:
            return _context16.abrupt('return', null);

          case 10:
          case 'end':
            return _context16.stop();
        }
      }
    }, _callee16, this);
  }));

  function mkLeProp(_x31, _x32) {
    return _ref17.apply(this, arguments);
  }

  return mkLeProp;
}(), function () {
  var _ref18 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee17(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee17$(_context17) {
      while (1) {
        switch (_context17.prev = _context17.next) {
          case 0:
            if (!(this.mkLeProp !== undefined)) {
              _context17.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkGtProp);

            if (!(valueConvert(value, this.mkType) > target)) {
              _context17.next = 6;
              break;
            }

            return _context17.abrupt('return', null);

          case 6:
            return _context17.abrupt('return', new Error(ms.mkGt(target, this.realLabel)));

          case 7:
            _context17.next = 10;
            break;

          case 9:
            return _context17.abrupt('return', null);

          case 10:
          case 'end':
            return _context17.stop();
        }
      }
    }, _callee17, this);
  }));

  function mkGtProp(_x33, _x34) {
    return _ref18.apply(this, arguments);
  }

  return mkGtProp;
}(), function () {
  var _ref19 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee18(rule, value) {
    var target;
    return regenerator_default.a.wrap(function _callee18$(_context18) {
      while (1) {
        switch (_context18.prev = _context18.next) {
          case 0:
            if (!(this.mkGeProp !== undefined)) {
              _context18.next = 9;
              break;
            }

            target = patterns_getProp.call(this, this.mkGeProp);

            if (!(valueConvert(value, this.mkType) >= target)) {
              _context18.next = 6;
              break;
            }

            return _context18.abrupt('return', null);

          case 6:
            return _context18.abrupt('return', new Error(ms.mkGe(target, this.realLabel)));

          case 7:
            _context18.next = 10;
            break;

          case 9:
            return _context18.abrupt('return', null);

          case 10:
          case 'end':
            return _context18.stop();
        }
      }
    }, _callee18, this);
  }));

  function mkGeProp(_x35, _x36) {
    return _ref19.apply(this, arguments);
  }

  return mkGeProp;
}(), function () {
  var _ref20 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee19(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee19$(_context19) {
      while (1) {
        switch (_context19.prev = _context19.next) {
          case 0:
            if (!(this.mkEqLength !== undefined)) {
              _context19.next = 10;
              break;
            }

            target = readLength(this.mkEqLength);
            len = getLength(value);

            if (!(len === target)) {
              _context19.next = 7;
              break;
            }

            return _context19.abrupt('return', null);

          case 7:
            return _context19.abrupt('return', new Error(ms.mkEqLength(target, this.realLabel)));

          case 8:
            _context19.next = 11;
            break;

          case 10:
            return _context19.abrupt('return', null);

          case 11:
          case 'end':
            return _context19.stop();
        }
      }
    }, _callee19, this);
  }));

  function mkEqLength(_x37, _x38) {
    return _ref20.apply(this, arguments);
  }

  return mkEqLength;
}(), function () {
  var _ref21 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee20(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee20$(_context20) {
      while (1) {
        switch (_context20.prev = _context20.next) {
          case 0:
            if (!(this.mkNeLength !== undefined)) {
              _context20.next = 10;
              break;
            }

            target = readLength(this.mkNeLength);
            len = getLength(value);

            if (!(len !== target)) {
              _context20.next = 7;
              break;
            }

            return _context20.abrupt('return', null);

          case 7:
            return _context20.abrupt('return', new Error(ms.mkNeLength(target, this.realLabel)));

          case 8:
            _context20.next = 11;
            break;

          case 10:
            return _context20.abrupt('return', null);

          case 11:
          case 'end':
            return _context20.stop();
        }
      }
    }, _callee20, this);
  }));

  function mkNeLength(_x39, _x40) {
    return _ref21.apply(this, arguments);
  }

  return mkNeLength;
}(), function () {
  var _ref22 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee21(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee21$(_context21) {
      while (1) {
        switch (_context21.prev = _context21.next) {
          case 0:
            if (!(this.mkLtLength !== undefined)) {
              _context21.next = 10;
              break;
            }

            target = readLength(this.mkLtLength);
            len = getLength(value);

            if (!(len < target)) {
              _context21.next = 7;
              break;
            }

            return _context21.abrupt('return', null);

          case 7:
            return _context21.abrupt('return', new Error(ms.mkLtLength(target, this.realLabel)));

          case 8:
            _context21.next = 11;
            break;

          case 10:
            return _context21.abrupt('return', null);

          case 11:
          case 'end':
            return _context21.stop();
        }
      }
    }, _callee21, this);
  }));

  function mkLtLength(_x41, _x42) {
    return _ref22.apply(this, arguments);
  }

  return mkLtLength;
}(), function () {
  var _ref23 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee22(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee22$(_context22) {
      while (1) {
        switch (_context22.prev = _context22.next) {
          case 0:
            if (!(this.mkLeLength !== undefined)) {
              _context22.next = 10;
              break;
            }

            target = readLength(this.mkLeLength);
            len = getLength(value);

            if (!(len <= target)) {
              _context22.next = 7;
              break;
            }

            return _context22.abrupt('return', null);

          case 7:
            return _context22.abrupt('return', new Error(ms.mkLeLength(target, this.realLabel)));

          case 8:
            _context22.next = 11;
            break;

          case 10:
            return _context22.abrupt('return', null);

          case 11:
          case 'end':
            return _context22.stop();
        }
      }
    }, _callee22, this);
  }));

  function mkLeLength(_x43, _x44) {
    return _ref23.apply(this, arguments);
  }

  return mkLeLength;
}(), function () {
  var _ref24 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee23(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee23$(_context23) {
      while (1) {
        switch (_context23.prev = _context23.next) {
          case 0:
            if (!(this.mkGeLength !== undefined)) {
              _context23.next = 10;
              break;
            }

            target = readLength(this.mkGeLength);
            len = getLength(value);

            if (!(len >= target)) {
              _context23.next = 7;
              break;
            }

            return _context23.abrupt('return', null);

          case 7:
            return _context23.abrupt('return', new Error(ms.mkGeLength(target, this.realLabel)));

          case 8:
            _context23.next = 11;
            break;

          case 10:
            return _context23.abrupt('return', null);

          case 11:
          case 'end':
            return _context23.stop();
        }
      }
    }, _callee23, this);
  }));

  function mkGeLength(_x45, _x46) {
    return _ref24.apply(this, arguments);
  }

  return mkGeLength;
}(), function () {
  var _ref25 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee24(rule, value) {
    var target, len;
    return regenerator_default.a.wrap(function _callee24$(_context24) {
      while (1) {
        switch (_context24.prev = _context24.next) {
          case 0:
            if (!(this.mkGtLength !== undefined)) {
              _context24.next = 10;
              break;
            }

            target = readLength(this.mkGtLength);
            len = getLength(value);

            if (!(len > target)) {
              _context24.next = 7;
              break;
            }

            return _context24.abrupt('return', null);

          case 7:
            return _context24.abrupt('return', new Error(ms.mkGtLength(target, this.realLabel)));

          case 8:
            _context24.next = 11;
            break;

          case 10:
            return _context24.abrupt('return', null);

          case 11:
          case 'end':
            return _context24.stop();
        }
      }
    }, _callee24, this);
  }));

  function mkGtLength(_x47, _x48) {
    return _ref25.apply(this, arguments);
  }

  return mkGtLength;
}(), function () {
  var _ref26 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee25(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee25$(_context25) {
      while (1) {
        switch (_context25.prev = _context25.next) {
          case 0:
            if (!(this.mkEqLengthProp !== undefined)) {
              _context25.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkEqLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len === target)) {
              _context25.next = 8;
              break;
            }

            return _context25.abrupt('return', null);

          case 8:
            return _context25.abrupt('return', new Error(ms.mkEqLength(target, this.realLabel)));

          case 9:
            _context25.next = 12;
            break;

          case 11:
            return _context25.abrupt('return', null);

          case 12:
          case 'end':
            return _context25.stop();
        }
      }
    }, _callee25, this);
  }));

  function mkEqLengthProp(_x49, _x50) {
    return _ref26.apply(this, arguments);
  }

  return mkEqLengthProp;
}(), function () {
  var _ref27 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee26(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee26$(_context26) {
      while (1) {
        switch (_context26.prev = _context26.next) {
          case 0:
            if (!(this.mkNeLengthProp !== undefined)) {
              _context26.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkNeLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len !== target)) {
              _context26.next = 8;
              break;
            }

            return _context26.abrupt('return', null);

          case 8:
            return _context26.abrupt('return', new Error(ms.mkNeLength(target, this.realLabel)));

          case 9:
            _context26.next = 12;
            break;

          case 11:
            return _context26.abrupt('return', null);

          case 12:
          case 'end':
            return _context26.stop();
        }
      }
    }, _callee26, this);
  }));

  function mkNeLengthProp(_x51, _x52) {
    return _ref27.apply(this, arguments);
  }

  return mkNeLengthProp;
}(), function () {
  var _ref28 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee27(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee27$(_context27) {
      while (1) {
        switch (_context27.prev = _context27.next) {
          case 0:
            if (!(this.mkLtLengthProp !== undefined)) {
              _context27.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkLtLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len < target)) {
              _context27.next = 8;
              break;
            }

            return _context27.abrupt('return', null);

          case 8:
            return _context27.abrupt('return', new Error(ms.mkLtLength(target, this.realLabel)));

          case 9:
            _context27.next = 12;
            break;

          case 11:
            return _context27.abrupt('return', null);

          case 12:
          case 'end':
            return _context27.stop();
        }
      }
    }, _callee27, this);
  }));

  function mkLtLengthProp(_x53, _x54) {
    return _ref28.apply(this, arguments);
  }

  return mkLtLengthProp;
}(), function () {
  var _ref29 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee28(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee28$(_context28) {
      while (1) {
        switch (_context28.prev = _context28.next) {
          case 0:
            if (!(this.mkLeLengthProp !== undefined)) {
              _context28.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkLeLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len <= target)) {
              _context28.next = 8;
              break;
            }

            return _context28.abrupt('return', null);

          case 8:
            return _context28.abrupt('return', new Error(ms.mkLeLength(target, this.realLabel)));

          case 9:
            _context28.next = 12;
            break;

          case 11:
            return _context28.abrupt('return', null);

          case 12:
          case 'end':
            return _context28.stop();
        }
      }
    }, _callee28, this);
  }));

  function mkLeLengthProp(_x55, _x56) {
    return _ref29.apply(this, arguments);
  }

  return mkLeLengthProp;
}(), function () {
  var _ref30 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee29(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee29$(_context29) {
      while (1) {
        switch (_context29.prev = _context29.next) {
          case 0:
            if (!(this.mkGeLengthProp !== undefined)) {
              _context29.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkGeLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len >= target)) {
              _context29.next = 8;
              break;
            }

            return _context29.abrupt('return', null);

          case 8:
            return _context29.abrupt('return', new Error(ms.mkGeLength(target, this.realLabel)));

          case 9:
            _context29.next = 12;
            break;

          case 11:
            return _context29.abrupt('return', null);

          case 12:
          case 'end':
            return _context29.stop();
        }
      }
    }, _callee29, this);
  }));

  function mkGeLengthProp(_x57, _x58) {
    return _ref30.apply(this, arguments);
  }

  return mkGeLengthProp;
}(), function () {
  var _ref31 = asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee30(rule, value) {
    var targetVal, target, len;
    return regenerator_default.a.wrap(function _callee30$(_context30) {
      while (1) {
        switch (_context30.prev = _context30.next) {
          case 0:
            if (!(this.mkGtLengthProp !== undefined)) {
              _context30.next = 11;
              break;
            }

            targetVal = patterns_getProp.call(this, this.mkGtLengthProp);
            target = getLength(targetVal);
            len = getLength(value);

            if (!(len > target)) {
              _context30.next = 8;
              break;
            }

            return _context30.abrupt('return', null);

          case 8:
            return _context30.abrupt('return', new Error(ms.mkGtLength(target, this.realLabel)));

          case 9:
            _context30.next = 12;
            break;

          case 11:
            return _context30.abrupt('return', null);

          case 12:
          case 'end':
            return _context30.stop();
        }
      }
    }, _callee30, this);
  }));

  function mkGtLengthProp(_x59, _x60) {
    return _ref31.apply(this, arguments);
  }

  return mkGtLengthProp;
}()];
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-form-item/src/main.vue?vue&type=script&lang=js&



//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'mk-form-item',
  props: {
    label: String,
    labelWidth: String,
    prop: {
      type: String,
      default: '-'
    },
    required: {
      type: Boolean,
      default: undefined
    },
    error: String,
    inlineMessage: {
      type: [String, Boolean],
      default: ''
    },
    showMessage: {
      type: Boolean,
      default: true
    },
    size: String,

    // string、number、boolean类型声明
    mkType: {
      type: String,
      default: 'string',
      validator: function validator(vl) {
        return types.indexOf(vl) > -1;
      }
    },

    mkEq: [Number, String, Function],
    mkNe: [Number, String, Function],
    mkLt: [Number, String, Function],
    mkLe: [Number, String, Function],
    mkGe: [Number, String, Function],
    mkGt: [Number, String, Function],

    mkEqProp: String,
    mkNeProp: String,
    mkLtProp: String,
    mkLeProp: String,
    mkGeProp: String,
    mkGtProp: String,

    mkEqLength: [Number, String, Function],
    mkNeLength: [Number, String, Function],
    mkLtLength: [Number, String, Function],
    mkLeLength: [Number, String, Function],
    mkGeLength: [Number, String, Function],
    mkGtLength: [Number, String, Function],

    mkEqLengthProp: String,
    mkNeLengthProp: String,
    mkLtLengthProp: String,
    mkLeLengthProp: String,
    mkGeLengthProp: String,
    mkGtLengthProp: String,

    mkEnum: [Array, Function],
    // 内置正则
    mkInlay: {
      type: String,
      validator: function validator(vl) {
        return inlays.indexOf(vl) > -1;
      }
    },
    mkPattern: RegExp,
    mkCustom: Function,
    // 服务端验证，将把当前form对象整个传回去
    // 要求服务端是post提交,返回类型是string的错误信息
    // 返回空字符串或者null表示验证通过
    // 此时最好开启form的status-icon属性，这样延迟验证会有loading效果
    mkRemote: String,
    // 服务端验证默认将当前form全部字段传回服务器
    // 这里可以设置忽略哪些字段(仅支持form自己的字段，例如form.skuList[0].name,没法控制，只能忽略skuList)
    mkRemoteSkipField: Array,

    mkLabel: String,
    mkTarget: [Function, String],

    mkTrigger: { type: String, default: 'blur' },

    // 是否显示输入即时提示?目前仅支持长度
    mkTip: { type: Boolean, default: false }
  },
  components: {
    ElFormItem: form_item_default.a
  },
  computed: {
    realLabel: function realLabel() {
      return this.mkLabel || this.label || '';
    },
    realLabelWidth: function realLabelWidth() {
      return this.label ? this.labelWidth : '0';
    },
    form: function form() {
      var parent = this.$parent;
      var parentName = parent.$options.componentName;
      while (parentName !== 'ElForm') {
        parent = parent.$parent;
        parentName = parent.$options.componentName;
      }
      return parent;
    },
    fieldValue: function fieldValue() {
      var model = this.form.model;
      if (!model || !this.prop) {
        return;
      }

      var path = this.prop;
      if (path.indexOf(':') !== -1) {
        path = path.replace(/:/, '.');
      }

      return Object(util_["getPropByPath"])(model, path, true).v;
    },
    realLength: function realLength() {
      return ('' + (this.fieldValue || '')).length;
    }
  },
  methods: {
    vil: function vil(rule, value, callback) {
      var _this = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
        var _iterator, _isArray, _i, _ref, fn, error;

        return regenerator_default.a.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (_this.mkTarget !== undefined) {
                  if (typeof _this.mkTarget === 'function') {
                    value = _this.mkTarget();
                  } else {
                    value = patterns_getProp(_this.mkTarget);
                  }
                }
                _iterator = fns, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : get_iterator_default()(_iterator);

              case 2:
                if (!_isArray) {
                  _context.next = 8;
                  break;
                }

                if (!(_i >= _iterator.length)) {
                  _context.next = 5;
                  break;
                }

                return _context.abrupt('break', 21);

              case 5:
                _ref = _iterator[_i++];
                _context.next = 12;
                break;

              case 8:
                _i = _iterator.next();

                if (!_i.done) {
                  _context.next = 11;
                  break;
                }

                return _context.abrupt('break', 21);

              case 11:
                _ref = _i.value;

              case 12:
                fn = _ref;
                _context.next = 15;
                return fn.call(_this, rule, value);

              case 15:
                error = _context.sent;

                if (!(error !== null && error !== undefined)) {
                  _context.next = 19;
                  break;
                }

                callback(error);
                return _context.abrupt('break', 21);

              case 19:
                _context.next = 2;
                break;

              case 21:
                callback();

              case 22:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, _this);
      }))();
    }
  }
});
// CONCATENATED MODULE: ./packages/mk-form-item/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/mk-form-item/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/mk-form-item/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/mk-form-item/index.js


main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var mk_form_item = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/get-iterator");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/regenerator");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/utils/util");

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/asyncToGenerator");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("vue");

/***/ }),

/***/ 89:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/form-item");

/***/ })

/******/ });