module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 248);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/typeof");

/***/ }),

/***/ 248:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-table/src/main.vue?vue&type=template&id=78f662c0&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      directives: [
        {
          name: "loading",
          rawName: "v-loading.lock",
          value: _vm.searching,
          expression: "searching",
          modifiers: { lock: true }
        }
      ],
      ref: "detailTable",
      staticClass: "detail-table",
      style: { height: _vm.boxHeight, width: _vm.width },
      attrs: { "element-loading-text": _vm._f("dataI18n")("data.loading") }
    },
    [
      _c(
        "el-table",
        {
          ref: "table",
          class: { "mk-edit-table": _vm.mkEdit, "mk-tree-table": _vm.mkTree },
          attrs: {
            slot: "table",
            data: _vm.list,
            "highlight-current-row": "",
            border: "",
            stripe: _vm.stripe && !_vm.mkEdit,
            fit: _vm.mkfit,
            width: "auto",
            "empty-text": _vm.displayemptyText,
            height: _vm.displayHeight,
            "default-expand-all": _vm.defaultExpandAll,
            "expand-row-keys": _vm.expandRowKeys,
            "default-sort": _vm.defaultSort,
            "show-summary": _vm.showSummary,
            "sum-text": _vm.sumText,
            "summary-method": _vm.summaryMethod,
            "span-method": _vm.spanMethod,
            "max-height": _vm.maxHeight,
            "show-header": _vm.showHeader,
            "row-class-name": _vm.rowClassName,
            "row-style": _vm.rowStyle,
            "cell-class-name": _vm.cellClassName,
            "cell-style": _vm.cellStyle,
            "header-row-class-name": _vm.headerRowClassName,
            "header-row-style": _vm.headerRowStyle,
            "header-cell-class-name": _vm.headerCellClassName,
            "header-cell-style": _vm.headerCellStyle,
            "row-key": _vm.rowKey,
            "select-on-indeterminate": _vm.selectOnIndeterminate
          },
          on: {
            select: _vm._select,
            "select-all": _vm._selectAll,
            "selection-change": _vm._selectionChange,
            "cell-mouse-enter": _vm._cellMouseEnter,
            "cell-mouse-leave": _vm._cellMouseLeave,
            "cell-click": _vm._cellClick,
            "cell-dblclick": _vm._cellDblclick,
            "row-click": _vm._rowClick,
            "row-contextmenu": _vm._rowContextmenu,
            "row-dblclick": _vm._rowDblclick,
            "header-click": _vm._headerClick,
            "header-contextmenu": _vm._headerContextmenu,
            "sort-change": _vm._sortChange,
            "filter-change": _vm._filterChange,
            "current-change": _vm._currentChange,
            "header-dragend": _vm._headerDragend,
            "expand-change": _vm._expandChange
          },
          slot: "table"
        },
        [
          _vm.mkMultiple
            ? _c("el-table-column", {
                attrs: { type: "selection", align: "center", width: "40" }
              })
            : _vm._e(),
          _vm.mkIndex
            ? _c("el-table-column", {
                attrs: {
                  align: "center",
                  type: "index",
                  width: "50",
                  label: _vm.mkIndexLabel
                }
              })
            : _vm._e(),
          _vm._t("before"),
          _vm.mkSkuAll || _vm.mkSkuImg
            ? _c("el-table-column", {
                staticClass: "sp",
                attrs: { prop: "img", label: "图片", width: "40" },
                scopedSlots: _vm._u(
                  [
                    {
                      key: "default",
                      fn: function(scope) {
                        return [
                          _c("mk-img-view", {
                            attrs: {
                              img: scope.row.skuimg || scope.row.img,
                              "hover-max": "",
                              mini: ""
                            }
                          })
                        ]
                      }
                    }
                  ],
                  null,
                  false,
                  890800499
                )
              })
            : _vm._e(),
          _vm.mkSkuBase || _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "pdname",
                  sortable: _vm.skuSort,
                  label: "名称",
                  align: "left",
                  width: "270"
                }
              })
            : _vm._e(),
          _vm.mkSkuBase || _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "skucode",
                  sortable: _vm.skuSort,
                  label: "编码",
                  width: "100",
                  align: "left"
                }
              })
            : _vm._e(),
          _vm.mkSkuBase || _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "psvalue",
                  label: "规格",
                  width: "150",
                  align: "left"
                }
              })
            : _vm._e(),
          _vm.mkSkuBase || _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "pdunit",
                  label: "单位",
                  width: "70",
                  align: "left"
                }
              })
            : _vm._e(),
          _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "brname",
                  label: "品牌",
                  width: "150",
                  align: "left"
                }
              })
            : _vm._e(),
          _vm.mkSkuAll
            ? _c("el-table-column", {
                attrs: {
                  prop: "ptname",
                  label: "分类",
                  align: "left",
                  width: "100"
                }
              })
            : _vm._e(),
          _vm._t("default"),
          _c(
            "div",
            { attrs: { slot: "append" }, slot: "append" },
            [_vm._t("append")],
            2
          )
        ],
        2
      ),
      _vm.mkPage && _vm.list.length > 0
        ? _c("el-pagination", {
            attrs: {
              "page-sizes": _vm.pageSizes,
              layout: _vm.mkShowPageSize
                ? "total, sizes, prev, pager, next"
                : "total, prev, pager, next",
              total: _vm.totalRow,
              "pager-count": _vm.pagerCount,
              "page-size": _vm.pageSize,
              "current-page": _vm.currentPage
            },
            on: {
              "size-change": _vm._pageSizeChange,
              "current-change": _vm._pageCurrentChange
            }
          })
        : _vm._e()
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/mk-table/src/main.vue?vue&type=template&id=78f662c0&

// EXTERNAL MODULE: external "babel-runtime/helpers/typeof"
var typeof_ = __webpack_require__(15);
var typeof_default = /*#__PURE__*/__webpack_require__.n(typeof_);

// EXTERNAL MODULE: external "babel-runtime/helpers/extends"
var extends_ = __webpack_require__(35);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "babel-runtime/core-js/object/assign"
var assign_ = __webpack_require__(37);
var assign_default = /*#__PURE__*/__webpack_require__.n(assign_);

// EXTERNAL MODULE: external "babel-runtime/regenerator"
var regenerator_ = __webpack_require__(3);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/asyncToGenerator"
var asyncToGenerator_ = __webpack_require__(6);
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator_);

// EXTERNAL MODULE: external "mk-element/lib/table"
var table_ = __webpack_require__(81);
var table_default = /*#__PURE__*/__webpack_require__.n(table_);

// EXTERNAL MODULE: external "mk-element/lib/pagination"
var pagination_ = __webpack_require__(82);
var pagination_default = /*#__PURE__*/__webpack_require__.n(pagination_);

// EXTERNAL MODULE: external "mk-element/lib/mixins/mk-base"
var mk_base_ = __webpack_require__(47);
var mk_base_default = /*#__PURE__*/__webpack_require__.n(mk_base_);

// EXTERNAL MODULE: external "mk-element/lib/mk-img-view"
var mk_img_view_ = __webpack_require__(83);
var mk_img_view_default = /*#__PURE__*/__webpack_require__.n(mk_img_view_);

// EXTERNAL MODULE: external "mk-element/lib/utils/mk-i18n"
var mk_i18n_ = __webpack_require__(54);
var mk_i18n_default = /*#__PURE__*/__webpack_require__.n(mk_i18n_);

// EXTERNAL MODULE: external "lodash.assign"
var external_lodash_assign_ = __webpack_require__(84);
var external_lodash_assign_default = /*#__PURE__*/__webpack_require__.n(external_lodash_assign_);

// EXTERNAL MODULE: external "lodash.clonedeep"
var external_lodash_clonedeep_ = __webpack_require__(38);
var external_lodash_clonedeep_default = /*#__PURE__*/__webpack_require__.n(external_lodash_clonedeep_);

// EXTERNAL MODULE: external "mk-element/lib/utils/util"
var util_ = __webpack_require__(5);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-table/src/main.vue?vue&type=script&lang=js&





//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//










/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'mk-table',
  mixins: [mk_base_default.a],
  components: {
    ElTable: table_default.a,
    ElPagination: pagination_default.a,
    MkImgView: mk_img_view_default.a
  },
  props: {
    mkExpanOnlyone: {
      type: Boolean,
      default: false
    },
    // 特殊的一种子表格，这种子表格的padding被设置为0，看起来就像表格树一样
    // 设置在父表格上即可
    mkTree: {
      type: Boolean,
      default: false
    },
    // 是否显示行号
    mkIndex: {
      type: Boolean,
      default: true
    },
    mkIndexLabel: {
      type: String,
      default: '序号'
    },
    // 是否支持多选
    mkMultiple: {
      type: Boolean,
      default: false
    },
    // 是否使用内置分页组件
    mkPage: {
      type: Boolean,
      default: true
    },
    // 远程加载数据的uri
    // 返回数据可以是纯数组，此时意味着在客户端实现假分页或者干脆不分页
    // 返回数据可以是{list,totalRow},此时意味着真分页
    mkUri: {
      type: String
    },
    // 远程加载数据的sqlCode
    // 不能与mkUri同时使用
    // 格式是sql目录中的文件名.sql语句
    // 例如cpuser.md中的select_list,就是cpuser.select_list
    mkSqlCode: {
      type: String
    },
    // 是否加载中
    // 表格加载中由 远程加载、过滤自动控制，但这个属性的优先级最高
    mkLoading: {
      type: Boolean,
      default: false
    },
    // 表格是编辑模式，此时表格中输入框的高度有特殊处理
    // 发生验证错误时，高度自动缩小
    mkEdit: {
      type: Boolean,
      default: false
    },
    // sku字段启用排序
    mkSkuSort: {
      type: Boolean,
      default: false
    },
    // 显示sku基本字段
    mkSkuBase: {
      type: Boolean,
      default: false
    },
    // 显示全部sku字段
    mkSkuAll: {
      type: Boolean,
      default: false
    },
    // 是否显示sku图片，默认false,支持img、skuimg
    mkSkuImg: {
      type: Boolean,
      default: false
    },
    // 返回true表示显示这条记录
    // 用于本地数据源时筛选数据
    mkFilter: {
      type: Function
    },
    // 查询之前，对查询条件进行改造的方法
    mkInitSearchData: Function,
    // 显示top修正值
    mkTop: { type: Number, default: 0 },
    // 包含查询条件、查询中
    value: {
      type: Object,
      validator: function validator(value) {
        return value && value.hasOwnProperty('searching') && value.hasOwnProperty('searchData');
      }
    },
    // 缓存的id
    mkTableId: {
      type: String,
      default: function _default() {
        return '' + +new Date() + Math.random();
      }
    },
    // 是否启用缓存模式 默认true
    // 缓存包括条件、页码、页量
    mkCache: {
      type: Boolean,
      default: true
    },
    // 初始被选中的记录
    mkSelect: Array,
    // 调用通用action时，分页/排序语句是否由系统自动拼接?
    // 若=false，则sql语句中需要自己声明参数：limitStart/limitEnd/orderBy来使用分页、排序
    mkLimitSelf: {
      type: Boolean,
      default: false
    },
    // 对每个服务器返回的数据进行改装
    mkDataTransform: {
      type: Function
    },
    defaultExpandAll: {
      type: Boolean,
      default: false
    },
    defaultSort: {
      type: Object
    },
    showSummary: {
      type: Boolean,
      default: false
    },
    sumText: {
      type: String,
      default: '合计'
    },
    summaryMethod: {
      type: Function
    },
    spanMethod: {
      type: Function
    },
    data: {
      type: Array
    },
    fit: {
      type: Boolean,
      default: true
    },
    height: {
      type: String
    },
    emptyText: {
      type: String
    },
    maxHeight: [String, Number],
    showHeader: {
      type: Boolean,
      default: true
    },
    rowClassName: [Function, String],
    rowStyle: [Function, String],
    cellClassName: [Function, String],
    cellStyle: [Function, String],
    headerRowClassName: [Function, String],
    headerRowStyle: [Function, String],
    headerCellClassName: [Function, String],
    headerCellStyle: [Function, String],
    rowKey: [Function, String],
    selectOnIndeterminate: {
      type: Boolean,
      default: true
    },
    stripe: {
      type: Boolean,
      default: true
    },
    pagerCount: {
      type: Number,
      default: 7
    },
    pageSizes: {
      type: Array,
      default: function _default() {
        return [15, 30, 50];
      }
    },
    mkShowPageSize: {
      type: Boolean,
      default: true
    },
    mkPageSize: {
      type: Number,
      default: 15
    }
  },
  data: function data() {
    return {
      // 本页数据
      list: [],
      // 全部选中的数据
      selectedList: [],
      // 本地数据源过滤之后的记录
      filterList: [],
      // 从第几条开始展示?
      index: 1,
      // 页量
      pageSize: 15,
      // 页码
      currentPage: 1,
      // 总记录数
      totalRow: 0,
      // 宽度,用于子表格+固定列时宽度修正
      width: '100%',
      // 父容器top
      top: document.documentElement.clientHeight - 400,
      // 锁定选择变化事件，用于解决选择太快导致的异常
      lockSelectChange: true,
      // 排序相关内容
      sortName: null,
      sortType: null,
      // 当前展开的行
      // 当只允许展开一条记录时使用
      expandRow: null,
      // mkUri的代理
      realUri: null,
      // fit的代理
      mkfit: null,
      // data的代理
      realData: null,
      // 记录表格的展开状态
      expandFlag: null,
      expandRowKeys: null,
      // 是否是页码变化引起的刷新
      pageChange: false,
      // 加载中
      loading: true
    };
  },

  computed: {
    searching: function searching() {
      return this.value && this.value.searching !== false || this.mkLoading === true;
    },
    displayHeight: function displayHeight() {
      var vl = this.height || '' + (document.documentElement.clientHeight - this.top - this.mkTop);
      var fix = this.mkPage ? 35 : 0;
      if (!isNaN(vl)) {
        return vl - fix + 'px';
      } else if (vl === 'auto') {
        return null;
      } else {
        return vl;
      }
    },
    boxHeight: function boxHeight() {
      var vl = this.height || '' + (document.documentElement.clientHeight - this.top);
      if (!isNaN(vl)) {
        return vl + 'px';
      } else if (vl === 'auto') {
        return null;
      } else {
        return vl;
      }
    },
    displayemptyText: function displayemptyText() {
      return this.emptyText || (this.loading !== false ? mk_i18n_default()('data.loading') : mk_i18n_default()('data.empty'));
    },
    skuSort: function skuSort() {
      return this.mkSkuSort === true ? 'custom' : null;
    }
  },
  watch: {
    'value.searching': {
      handler: function handler(val, oldVal) {
        var _this = this;

        return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
          return regenerator_default.a.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  if (!(val !== false)) {
                    _context.next = 3;
                    break;
                  }

                  _context.next = 3;
                  return _this._searchData(val);

                case 3:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this);
        }))();
      }
    },
    data: {
      handler: function handler(vl) {
        if (vl) {
          this._doSearch(true);
        }
      },

      immediate: false
    },
    mkUri: {
      handler: function handler(vl) {
        if (vl) {
          this.realUri = vl;
        }
      },

      immediate: true
    },
    mkSelect: {
      handler: function handler(vl) {
        if (vl) {
          this.selectedList = external_lodash_clonedeep_default()(vl);
        } else {
          this.selectedList = [];
        }
      },

      immediate: true
    },
    fit: {
      handler: function handler(vl) {
        this.mkfit = vl;
      },

      immediate: true
    },
    mkSqlCode: {
      handler: function handler(vl) {
        if (vl) {
          this.realUri = '/query.json';
        }
      },

      immediate: true
    }
  },
  methods: {
    _pageSizeChange: function _pageSizeChange(v) {
      var _this2 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee2() {
        return regenerator_default.a.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                _this2.pageSize = v;
                _this2.currentPage = 1;
                _this2.pageChange = true;
                _this2._doSearch(true);

              case 4:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, _this2);
      }))();
    },
    _pageCurrentChange: function _pageCurrentChange(v) {
      var _this3 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee3() {
        return regenerator_default.a.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _this3.currentPage = v;
                _this3.pageChange = true;
                _this3._doSearch(true);

              case 3:
              case 'end':
                return _context3.stop();
            }
          }
        }, _callee3, _this3);
      }))();
    },
    _pushSelected: function _pushSelected(item) {
      this.selectedList.push(item);
    },
    _select: function _select(selection, row) {
      this.$emit('select', selection, row);
    },
    _selectAll: function _selectAll(selection) {
      this.$emit('select-all', selection);
    },
    _selectionChange: function _selectionChange(selection) {
      var _this4 = this;

      if (this.lockSelectChange === false) {
        this.list.forEach(function (row) {
          var selectedIndex = selection.findIndex(function (item) {
            return _this4._singel(item, row);
          });
          var index = _this4.selectedList.findIndex(function (item) {
            return _this4._singel(item, row);
          });
          if (selectedIndex === -1) {
            if (index > -1) {
              _this4.selectedList.splice(index, 1);
            }
          } else {
            if (index === -1) {
              _this4._pushSelected(row);
            }
          }
        });
        this.$emit('selection-change', selection);
      }
    },
    _cellMouseEnter: function _cellMouseEnter(row, column, cell, event) {
      this.$emit('cell-mouse-enter', row, column, cell, event);
    },
    _cellMouseLeave: function _cellMouseLeave(row, column, cell, event) {
      this.$emit('cell-mouse-leave', row, column, cell, event);
    },
    _cellClick: function _cellClick(row, column, cell, event) {
      this.$emit('cell-click', row, column, cell, event);
    },
    _cellDblclick: function _cellDblclick(row, column, cell, event) {
      this.$emit('cell-dblclick', row, column, cell, event);
    },
    _rowClick: function _rowClick(row, event, column) {
      this.$emit('row-click', row, event, column);
    },
    _rowContextmenu: function _rowContextmenu(row, event) {
      this.$emit('row-contextmenu', row, event);
    },
    _rowDblclick: function _rowDblclick(row, event) {
      this.$emit('row-dblclick', row, event);
    },
    _headerClick: function _headerClick(column, event) {
      this.$emit('header-dblclick', column, event);
    },
    _headerContextmenu: function _headerContextmenu(column, event) {
      this.$emit('header-contextmenu', column, event);
    },
    _sortChange: function _sortChange(_ref) {
      var _this5 = this;

      var column = _ref.column,
          prop = _ref.prop,
          order = _ref.order;
      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee4() {
        return regenerator_default.a.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                _this5.sortName = prop;
                _this5.sortType = order;
                if (_this5.sortType) {
                  _this5.sortType = _this5.sortType.replace('ending', '');
                }
                _this5.$emit('sort-change', {
                  column: column,
                  prop: prop,
                  order: order
                });
                _this5._doSearch(true);

              case 5:
              case 'end':
                return _context4.stop();
            }
          }
        }, _callee4, _this5);
      }))();
    },
    _filterChange: function _filterChange(filters) {
      this.$emit('filter-change', filters);
    },
    _currentChange: function _currentChange(currentRow, oldCurrentRow) {
      var _this6 = this;

      if (this.lockSelectChange === false) {
        if (this.mkMultiple === false) {
          var index = this.selectedList.findIndex(function (item) {
            return _this6._singel(currentRow, item);
          });
          if (index === -1) {
            this.selectedList.length = 0;
            this._pushSelected(currentRow);
          }
        }
        this.$emit('current-change', currentRow, oldCurrentRow);
      }
    },
    _headerDragend: function _headerDragend(newWidth, oldWidth, column, event) {
      this.$emit('header-dragend', newWidth, oldWidth, column, event);
    },
    _expandChange: function _expandChange(row, expandedRows) {
      var _this7 = this;

      var expanded = expandedRows.findIndex(function (item) {
        return _this7._singel(item, row);
      }) > -1;
      if (this.mkExpanOnlyone === true) {
        if (expanded === true) {
          if (this.expandRow) {
            this.$refs.table.toggleRowExpansion(this.expandRow, false);
          }
          this.expandRow = row;
        } else {
          this.expandRow = null;
        }
      }
      row.expanded = expanded;
      this.$emit('expand-change', row, expandedRows);
    },
    _dataTransForm: function _dataTransForm(list) {
      var _this8 = this;

      if (this.mkDataTransform) {
        list.forEach(function (item) {
          _this8.mkDataTransform(item);
        });
      }
    },
    _setList: function _setList(data) {
      var _this9 = this;

      this.lockSelectChange = true;
      this._dataTransForm(data);
      this.list = data;

      this.$nextTick(function () {
        // 默认选中记录
        _this9.list.forEach(function (row, index) {
          var selectIndex = _this9.selectedList.findIndex(function (item) {
            return _this9._singel(item, row);
          });
          if (selectIndex > -1) {
            if (_this9.mkMultiple === true) {
              _this9.$refs.table.toggleRowSelection(row, true);
            } else {
              _this9.$refs.table.setCurrentRow(row);
            }
          }
        });
        _this9.lockSelectChange = false;
      });
    },

    /**
     * 为本地数据提供刷新方法
     */
    _doSearch: function _doSearch(searching) {
      if (this.value) {
        this.$emit('input', assign_default()({}, this.value, {
          searching: searching
        }));
      } else {
        this._searchData(searching);
      }
    },
    _searchData: function _searchData(searching) {
      var _this10 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee5() {
        var searchData, reset, filterData;
        return regenerator_default.a.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                _this10.loading = true;
                searchData = {};
                // 是否是重置

                reset = searching === null;
                // 重置时，页码、索引计数归1

                if (reset === true || _this10.pageChange === false) {
                  _this10.currentPage = 1;
                  _this10.index = 1;
                } else {
                  _this10.pageChange = false;
                  // 非重置，索引计数重新计算
                  _this10.index = (_this10.currentPage - 1) * _this10.pageSize + 1;
                }
                // 缓存页码、页量
                if (_this10.mkCache === true) {
                  _this10.$cache.set(_this10.mkTableId + '-xxx', _this10.pageSize);
                  _this10.$cache.set(_this10.mkTableId + '-xxxx', _this10.currentPage);
                }

                if (_this10.value) {
                  // v-modle 绑定时，改变值
                  _this10.$emit('begin-fetch');
                  searchData = external_lodash_clonedeep_default()(_this10.value.searchData);
                  if (reset === true) {
                    _this10.$empty(searchData);
                  }
                  _this10.$emit('input', {
                    searchData: searchData,
                    searching: searching
                  });
                  _this10.$emptyIf(searchData);
                  if (_this10.mkCache === true) {
                    _this10.$cache.set(_this10.mkTableId + '-xx', searchData);
                  }
                }
                if (_this10.mkInitSearchData) {
                  _this10.mkInitSearchData(searchData, reset);
                }

                if (!_this10.realUri) {
                  _context5.next = 21;
                  break;
                }

                _context5.prev = 8;
                _context5.next = 11;
                return _this10.$get(_this10.realUri, extends_default()({}, searchData, {
                  currentPage: _this10.currentPage,
                  pageSize: _this10.pageSize,
                  sortName: _this10.sortName,
                  sortType: _this10.sortType,
                  sqlCode: _this10.mkSqlCode,
                  limitSelf: _this10.mkLimitSelf
                }));

              case 11:
                filterData = _context5.sent;

                if (filterData.totalRow !== undefined) {
                  _this10.totalRow = filterData.totalRow;
                  // bug 修正 因为查询条件变化引起总记录数>0但本页面记录为空时，重新请求一遍
                  // if (this.totalRow > 0 && filterData.list.length === 0) {
                  //   this.currentPage = Math.ceil(this.totalRow / this.pageSize);
                  //   this._searchData(true);
                  //   return;
                  // } else {
                  //   this._setList(filterData.list);
                  //   if (this.mkCache === true) {
                  //     this.$cache.set(`${this.mkTableId}-xxxxx`, this.totalRow);
                  //   }
                  // }
                  _this10._setList(filterData.list);
                  if (_this10.mkCache === true) {
                    _this10.$cache.set(_this10.mkTableId + '-xxxxx', _this10.totalRow);
                  }
                } else if (filterData.list) {
                  // 服务器返回、本地分页模式
                  // this.realUri = null;
                  _this10.realData = filterData.list;
                  _this10._doLocalData(searchData.list);
                } else {
                  // 服务器返回、本地分页模式
                  // this.realUri = null;
                  _this10.realData = filterData;
                  _this10._doLocalData(searchData);
                }
                _context5.next = 19;
                break;

              case 15:
                _context5.prev = 15;
                _context5.t0 = _context5['catch'](8);

                console.error(_context5.t0);
                _this10.$message('数据加载失败~~~~');

              case 19:
                _context5.next = 22;
                break;

              case 21:
                if (_this10.data) {
                  _this10.realData = _this10.data;
                  _this10._doLocalData(searchData);
                } else if (_this10.realData) {
                  _this10._doLocalData(searchData);
                }

              case 22:
                _this10.$nextTick(function () {
                  _this10.$emit('input', {
                    searchData: searchData,
                    searching: false
                  });
                });
                if (_this10.expandFlag !== null) {
                  _this10.expandChangeAll(_this10.expandFlag);
                }
                _this10.$emit('end-fetch');
                _this10.loading = false;

              case 26:
              case 'end':
                return _context5.stop();
            }
          }
        }, _callee5, _this10, [[8, 15]]);
      }))();
    },
    _doLocalData: function _doLocalData(searchData) {
      var _this11 = this;

      // 本地数据过滤
      if (this.mkFilter) {
        var list = [];
        this.realData.forEach(function (item) {
          if (_this11.mkFilter(item, searchData) === true) {
            list.push(item);
          }
        });
        this.filterList = list;
      } else {
        this.filterList = this.realData;
      }
      // 记录数
      this.totalRow = this.filterList.length;
      var maxPage = Math.ceil(this.totalRow / this.pageSize);
      // bug 修正 因为查询条件变化引起总记录数>0但本页面记录为空时，重新请求一遍
      if (this.totalRow > 0 && maxPage < this.currentPage) {
        this.currentPage = maxPage;
        this._searchData(true);
      } else {
        // 排序
        if (this.sortName) {
          this.filterList.sort(function (a, b) {
            var av = Object(util_["getValueByPath"])(a, _this11.sortName);
            var bv = Object(util_["getValueByPath"])(b, _this11.sortName);
            if (_this11.sortType === 'asc') {
              if (av > bv) {
                return 1;
              } else if (av < bv) {
                return -1;
              } else {
                return 0;
              }
            } else {
              if (av > bv) {
                return -1;
              } else if (av < bv) {
                return 1;
              } else {
                return 0;
              }
            }
          });
        }
        // 分页
        if (this.mkPage === true) {
          var data = this.filterList.slice((this.currentPage - 1) * this.pageSize, this.currentPage * this.pageSize);
          this._setList(data);
        } else {
          this._setList(this.filterList);
        }
        if (this.mkCache === true) {
          this.$cache.set(this.mkTableId + '-xxxxx', this.totalRow);
        }
      }
    },
    clearSelection: function clearSelection() {
      this.selectedList.length = 0;
      this.$refs.table.clearSelection();
    },

    /**
     * 批量将当前页的子表格展开,或折叠
     * flag = true 展开
     * flag = false 折叠
     */
    expandChangeAll: function expandChangeAll(flag) {
      var _this12 = this;

      if (this.rowKey) {
        var list = this.getList();
        var expandRowKeys = [];
        list.forEach(function (row) {
          _this12.toggleRowExpansion(row, flag);
          if (flag) {
            expandRowKeys.push(row[_this12.rowKey]);
          }
        });
        this.expandRowKeys = expandRowKeys;
        this.expandFlag = flag;
      }
    },
    toggleRowSelection: function toggleRowSelection(row, selected) {
      this.$refs.table.toggleRowSelection(row, selected);
    },
    toggleRowExpansion: function toggleRowExpansion(row, expanded) {
      this.$refs.table.toggleRowExpansion(row, expanded);
    },
    setCurrentRow: function setCurrentRow(row) {
      this.$refs.table.setCurrentRow(row);
    },
    clearSort: function clearSort() {
      this.$refs.table.clearSort();
    },
    clearFilter: function clearFilter() {
      this.$refs.table.clearFilter();
    },
    doLayout: function doLayout() {
      this.$refs.table.doLayout();
    },

    /**
     * 返回选中的全部数据
     * 必须先设置rowKey
     */
    getSelectedList: function getSelectedList(clone) {
      if (clone === true) {
        return external_lodash_clonedeep_default()(this.selectedList);
      } else {
        return this.selectedList;
      }
    },

    /**
     * 本页全部数据
     */
    getList: function getList() {
      return external_lodash_clonedeep_default()(this.list);
    },

    /**
     * 假分页或者本地数据分页时,返回过滤后的全部数据
     */
    getFilterList: function getFilterList() {
      return external_lodash_clonedeep_default()(this.filterList);
    },

    /**
     * 假分页或者本地数据分页时，返回全部数据
     */
    getAllList: function getAllList() {
      return external_lodash_clonedeep_default()(this.data);
    },
    reload: function reload() {
      this._doSearch(true);
    }
  },
  created: function created() {
    var _this13 = this;

    this.pageSize = this.mkPageSize;
    // 当表格是另一个表格的子表时
    // 当表格有fixright的列时
    // 重新调整表格的宽度
    var maxParent = this.$parent.$parent.$el;
    if (maxParent && maxParent.className && maxParent.className.indexOf('el-table') > -1) {
      var fixRight = maxParent.querySelector('.el-table__fixed-right');
      if (fixRight) {
        this.width = maxParent.clientWidth - fixRight.clientWidth - 50 + 'px';
      }
    }
    // 读取缓存
    if (this.mkCache === true) {
      var t = this.$cache.get(this.mkTableId + '-xx');
      if (t) {
        if (this.value) {
          var searchData = external_lodash_assign_default()({}, this.value.searchData, JSON.parse(t));
          this.$emit('input', {
            searchData: searchData,
            searching: this.value.searching
          });
        }
        this.pageSize = JSON.parse(this.$cache.get(this.mkTableId + '-xxx'));
        this.currentPage = JSON.parse(this.$cache.get(this.mkTableId + '-xxxx'));
        this.totalRow = JSON.parse(this.$cache.get(this.mkTableId + '-xxxxx'));
      }
    }
    // 页码修正
    if (this.mkPage === false && this.mkLimitSelf === false) {
      this.pageSize = null;
      this.currentPage = null;
    }
    // 行唯一标识符使用
    if (typeof this.rowKey === 'string') {
      this._singel = function (d1, d2) {
        var id1 = (typeof d1 === 'undefined' ? 'undefined' : typeof_default()(d1)) === 'object' ? Object(util_["getValueByPath"])(d1, _this13.rowKey) : d1;
        var id2 = (typeof d2 === 'undefined' ? 'undefined' : typeof_default()(d2)) === 'object' ? Object(util_["getValueByPath"])(d2, _this13.rowKey) : d2;
        return id1 === id2;
      };
    } else if (typeof this.rowKey === 'function') {
      this._singel = function (d1, d2) {
        var id1 = (typeof d1 === 'undefined' ? 'undefined' : typeof_default()(d1)) === 'object' ? _this13.rowKey(d1) : d1;
        var id2 = (typeof d2 === 'undefined' ? 'undefined' : typeof_default()(d2)) === 'object' ? _this13.rowKey(d2) : d2;
        return id1 === id2;
      };
    } else {
      this._singel = function () {
        return true;
      };
    }
  },
  mounted: function mounted() {
    var _this14 = this;

    this.$nextTick(function () {
      // 重新计算表格的top
      _this14.top = _this14.$refs.detailTable.getBoundingClientRect().top;
      // v-model 模式下，只有searching=true，才请求数据
      if (_this14.value) {
        if (_this14.value.searching) {
          _this14._searchData(true);
        }
      } else {
        // 非v-modle模式下，直接请求数据
        _this14._searchData(true);
      }
    });
  }
});
// CONCATENATED MODULE: ./packages/mk-table/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/mk-table/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/mk-table/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/mk-table/index.js


main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var mk_table = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/regenerator");

/***/ }),

/***/ 35:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/extends");

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/object/assign");

/***/ }),

/***/ 38:
/***/ (function(module, exports) {

module.exports = require("lodash.clonedeep");

/***/ }),

/***/ 47:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/mixins/mk-base");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/utils/util");

/***/ }),

/***/ 54:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/utils/mk-i18n");

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/asyncToGenerator");

/***/ }),

/***/ 81:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/table");

/***/ }),

/***/ 82:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/pagination");

/***/ }),

/***/ 83:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/mk-img-view");

/***/ }),

/***/ 84:
/***/ (function(module, exports) {

module.exports = require("lodash.assign");

/***/ })

/******/ });