module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 163);
/******/ })
/************************************************************************/
/******/ ({

/***/ 163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var vuex__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(55);
/* harmony import */ var vuex__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(vuex__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var mk_element_src_datas_mk_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(97);
/* harmony import */ var mk_element_src_datas_mk_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(mk_element_src_datas_mk_i18n__WEBPACK_IMPORTED_MODULE_1__);
/**
 * 通用vue模版
 * */



/* harmony default export */ __webpack_exports__["default"] = ({
  computed: Object(vuex__WEBPACK_IMPORTED_MODULE_0__["mapState"])({
    user: 'user',
    basePath: 'basePath',
    config: 'config',
    wsPath: 'wsPath',
    token: 'token',
    viewAction: 'viewAction',
    uploadAction: 'uploadAction'
  }),
  methods: {
    BIND_USER: Object(vuex__WEBPACK_IMPORTED_MODULE_0__["mapMutations"])(['BIND_USER']).BIND_USER,
    BIND_LOADING: Object(vuex__WEBPACK_IMPORTED_MODULE_0__["mapMutations"])(['BIND_LOADING']).BIND_LOADING,
    i18n: function i18n(key) {
      var keys = key.split('.');
      var i = 0;
      var j = keys.length;
      var obj = mk_element_src_datas_mk_i18n__WEBPACK_IMPORTED_MODULE_1___default.a;

      while (obj !== undefined && i < j) {
        obj = obj[keys[i++]];
      }
      return obj;
    }
  },
  mounted: function mounted() {
    this.BIND_LOADING(false);
  },
  activated: function activated() {
    this.BIND_LOADING(false);
  }
});

/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = require("vuex");

/***/ }),

/***/ 97:
/***/ (function(module, exports) {

var i18n = {
  routers: {
    no_user: '请登录后访问!',
    no_role: '您无权访问此菜单!',
    not_found: '页面不存在'
  },
  data: {
    empty: '亲，没有找到符合条件的记录!',
    loading: '拼命加载中...',
    saveing: '正在保存,请稍候...'
  },
  findI18n: function findI18n(key) {
    if (key) {
      var keys = key.split('.');
      var i = 0;
      var j = keys.length;
      var obj = i18n;
      while (obj !== undefined && i < j) {
        obj = obj[keys[i++]];
      }
      return obj;
    } else {
      return '';
    }
  }
};

module.exports = i18n;

/***/ })

/******/ });