module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 249);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 159:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_0_id_00ec01dc_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70);
/* harmony import */ var _node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_0_id_00ec01dc_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_0_id_00ec01dc_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_0_id_00ec01dc_scoped_true_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ 160:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(29)(false);
// Module
exports.push([module.i, "\n.box[data-v-00ec01dc] {\r\n  display: block !important;\n}\n.el-upload--picture-card[data-v-00ec01dc] {\r\n  width: unset;\r\n  height: unset;\r\n  line-break: unset;\n}\n[v-cloak][data-v-00ec01dc] {\r\n  display: none;\n}\n.el-choose-file[data-v-00ec01dc] {\r\n  display: flex;\r\n  flex-wrap: wrap;\r\n  padding-left: 10px;\r\n  align-items: flex-end;\n}\n.el-choose-file[data-v-00ec01dc] .el-upload-list__item-actions {\r\n  font-size: 15px;\n}\n.el-choose-file[data-v-00ec01dc] .el-upload-list__item-actions span + span {\r\n  margin-left: 5px;\n}\n.el-choose-file-img li[data-v-00ec01dc] {\r\n  width: 100px;\r\n  height: 100px;\r\n  display: flex;\r\n  align-items: center;\r\n  justify-content: center;\r\n  background-color: rgba(192, 196, 204, 0.3);\r\n  cursor: pointer;\n}\n.el-choose-file-img li img[data-v-00ec01dc] {\r\n  height: unset;\n}\n.el-upload--noheight[data-v-00ec01dc] {\r\n  width: auto !important;\r\n  height: auto !important;\r\n  background-color: unset !important;\r\n  border: unset !important;\r\n  margin: 0 !important;\n}\n.el-choose-file-text li[data-v-00ec01dc] {\r\n  width: 245px;\r\n  padding: 0 5px;\r\n  margin-left: 5px;\r\n  display: flex;\r\n  align-items: center;\r\n  justify-content: space-between;\r\n  background-color: rgba(192, 196, 204, 0.3);\r\n  cursor: pointer;\n}\n.el-choose-file-text li img[data-v-00ec01dc] {\r\n  height: unset;\n}\n.el-choose-file-text li span[data-v-00ec01dc] {\r\n  overflow: hidden;\r\n  width: 140px;\n}\n.el-choose-file-text li .el-upload-list__item-actions[data-v-00ec01dc] {\r\n  width: auto;\n}\n.el-folder[data-v-00ec01dc] {\r\n  display: flex;\r\n  flex-wrap: wrap;\n}\n.choose-tag[data-v-00ec01dc] {\r\n  cursor: pointer;\r\n  width: 100%;\r\n  padding: 0 5px;\n}\n.choose-tag li[data-v-00ec01dc] {\r\n  float: left;\r\n  width: 100%;\r\n  color: #666;\r\n  height: 28px;\r\n  line-height: 28px;\r\n  font-size: 14px;\r\n  margin: 1px 0;\r\n  list-style: none;\n}\n.choose-tag li[data-v-00ec01dc]:hover {\r\n  color: #00a3ef;\n}\n.input-new-tag[data-v-00ec01dc] {\r\n  width: 120px;\r\n  margin-left: 10px;\r\n  margin-bottom: 10px;\n}\n.button-new-tag[data-v-00ec01dc] {\r\n  margin-left: 10px;\r\n  height: 32px;\r\n  line-height: 30px;\r\n  padding-top: 0;\r\n  padding-bottom: 0;\r\n  margin-bottom: 5px;\n}\n.el-tag--danger[data-v-00ec01dc] {\r\n  background-color: rgba(245, 108, 108, 0.1);\n}\n.el-pagination[data-v-00ec01dc] {\r\n  text-align: center;\n}\n.el-alert[data-v-00ec01dc] {\r\n  height: 300px;\n}\r\n", ""]);



/***/ }),

/***/ 161:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_1_lang_css___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(71);
/* harmony import */ var _node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_1_lang_css___WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_1_lang_css___WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */
 /* unused harmony default export */ var _unused_webpack_default_export = (_node_modules_style_loader_index_js_node_modules_css_loader_dist_cjs_js_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_vue_loader_lib_index_js_vue_loader_options_main_vue_vue_type_style_index_1_lang_css___WEBPACK_IMPORTED_MODULE_0___default.a); 

/***/ }),

/***/ 162:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(29)(false);
// Module
exports.push([module.i, "\n.el-upload-list__item-status-label-size {\r\n  position: absolute;\r\n  right: 0;\r\n  bottom: 0;\r\n  height: 24px;\r\n  background: #fdfdfda2;\r\n  text-align: center;\r\n  border-radius: 6px 0 0 0;\n}\r\n", ""]);



/***/ }),

/***/ 249:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-upload3/src/main.vue?vue&type=template&id=00ec01dc&scoped=true&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      directives: [
        {
          name: "loading",
          rawName: "v-loading",
          value: _vm.uping,
          expression: "uping"
        }
      ],
      ref: "box",
      staticClass: "box",
      attrs: {
        "element-loading-text": "上传中..",
        "element-loading-spinner": "el-icon-loading",
        "element-loading-background": "rgba(0, 0, 0, 0.8)"
      }
    },
    [
      _c("ul", { class: _vm.chooseBoxCls }, [
        _vm.showFileList
          ? _c(
              "ul",
              { ref: "list", class: _vm.chooseBoxCls },
              _vm._l(_vm.uploadFiles, function(file, index) {
                return _c(
                  "li",
                  {
                    key: file.url,
                    class: ["el-upload-list__item", "is-success", "focusing"],
                    style: _vm.fileStyle
                  },
                  [
                    _c("img", {
                      ref: "file-" + index,
                      refInFor: true,
                      staticClass: "el-upload-list__item-thumbnail",
                      attrs: { src: file.url, alt: "" },
                      on: {
                        load: function($event) {
                          return _vm.$imgLoad($event, file)
                        }
                      }
                    }),
                    file.width
                      ? _c(
                          "label",
                          {
                            staticClass:
                              "el-upload-list__item-status-label-size"
                          },
                          [
                            _vm._v(
                              _vm._s(file.width) + "*" + _vm._s(file.height)
                            )
                          ]
                        )
                      : _vm._e(),
                    file.checked === true
                      ? _c(
                          "label",
                          { staticClass: "el-upload-list__item-status-label" },
                          [
                            _c("i", {
                              staticClass:
                                "el-icon-upload-success el-icon-check"
                            })
                          ]
                        )
                      : _vm._e(),
                    _c(
                      "span",
                      {
                        staticClass: "el-upload-list__item-actions",
                        style: _vm.actionStyle
                      },
                      [
                        _vm.uploadDisabled === false
                          ? _c(
                              "span",
                              {
                                staticClass: "el-upload-list__item-preview",
                                on: {
                                  click: function($event) {
                                    return _vm.$handleRemove(file)
                                  }
                                }
                              },
                              [_c("i", { staticClass: "el-icon-delete" })]
                            )
                          : _vm._e(),
                        _vm.uploadDisabled === false
                          ? _c(
                              "span",
                              {
                                staticClass: "el-upload-list__item-preview",
                                on: {
                                  click: function($event) {
                                    return _vm.$handleReplace(index)
                                  }
                                }
                              },
                              [_c("i", { staticClass: "el-icon-refresh" })]
                            )
                          : _vm._e(),
                        _c(
                          "span",
                          {
                            staticClass: "el-upload-list__item-preview",
                            on: {
                              click: function($event) {
                                return _vm.$handleView(file, index)
                              }
                            }
                          },
                          [_c("i", { staticClass: "el-icon-caret-right" })]
                        ),
                        _c(
                          "span",
                          {
                            staticClass: "el-upload-list__item-preview",
                            on: {
                              click: function($event) {
                                return _vm.$handleDown(file)
                              }
                            }
                          },
                          [_c("i", { staticClass: "el-icon-download" })]
                        )
                      ]
                    )
                  ]
                )
              }),
              0
            )
          : _vm._e(),
        _vm.choose === true
          ? _c(
              "li",
              {
                directives: [
                  {
                    name: "show",
                    rawName: "v-show",
                    value: _vm.upShow && _vm.uploadDisabled !== true,
                    expression: "upShow && uploadDisabled !== true"
                  }
                ],
                staticClass: "el-upload-list__item is-success focusing menu",
                class: _vm.upCardCls,
                staticStyle: { border: "1px dashed #c0ccda" },
                style: _vm.upStyle,
                attrs: {
                  upShow: _vm.upShow,
                  disabled: _vm.disabled,
                  uploadDisabled: _vm.uploadDisabled
                },
                on: {
                  click: function($event) {
                    return _vm.$addFile(true)
                  }
                }
              },
              [
                _vm._t("default", [
                  _vm._v("\n        选择文件库\n        "),
                  _c("i", {
                    staticClass: "el-icon-plus",
                    style: _vm.actionStyle
                  })
                ])
              ],
              2
            )
          : _vm._e(),
        _vm.chooseCustom
          ? _c(
              "li",
              {
                directives: [
                  {
                    name: "show",
                    rawName: "v-show",
                    value: _vm.upShow && _vm.uploadDisabled !== true,
                    expression: "upShow && uploadDisabled !== true"
                  }
                ],
                staticClass: "el-upload-list__item is-success focusing menu",
                class: _vm.upCardCls,
                staticStyle: { border: "1px dashed #c0ccda" },
                style: _vm.upStyle,
                attrs: {
                  upShow: _vm.upShow,
                  disabled: _vm.disabled,
                  uploadDisabled: _vm.uploadDisabled,
                  title: _vm.customChooseTitle
                },
                on: {
                  click: function($event) {
                    return _vm.$addFile(true, false, true)
                  }
                }
              },
              [
                _vm._t("default", [
                  _c("span", { staticStyle: { "font-size": "11px" } }, [
                    _vm._v(_vm._s(_vm.customChooseTitle))
                  ]),
                  _c("i", {
                    staticClass: "el-icon-search",
                    style: _vm.actionStyle
                  })
                ])
              ],
              2
            )
          : _vm._e(),
        _vm.choose === false || _vm.chooseAndUpload === true
          ? _c(
              "li",
              {
                directives: [
                  {
                    name: "show",
                    rawName: "v-show",
                    value: _vm.upShow && _vm.uploadDisabled !== true,
                    expression: "upShow && uploadDisabled !== true"
                  }
                ],
                staticClass: "el-upload-list__item is-success focusing menu",
                class: _vm.upCardCls,
                staticStyle: { border: "1px dashed #c0ccda" },
                style: _vm.upStyle,
                attrs: {
                  upShow: _vm.upShow,
                  disabled: _vm.disabled,
                  uploadDisabled: _vm.uploadDisabled,
                  title: "上传新文件"
                },
                on: {
                  click: function($event) {
                    return _vm.$addFile(true, true)
                  }
                }
              },
              [
                _vm._t("default", [
                  _vm._v("\n        上传新文件\n        "),
                  _c("i", {
                    staticClass: "el-icon-upload",
                    style: _vm.actionStyle
                  })
                ])
              ],
              2
            )
          : _vm._e()
      ]),
      _vm.previewIng && _vm.uploadFiles[_vm.preivewIndex]
        ? _c(
            "el-dialog",
            {
              attrs: {
                visible: "",
                "append-to-body": "",
                width: _vm.preivewWidth + "px",
                "show-close": false
              },
              on: { close: _vm.$previewEnd }
            },
            [
              _c("div", { attrs: { slot: "title" }, slot: "title" }, [
                _vm._v(
                  "\n      第" +
                    _vm._s(_vm.preivewIndex + 1) +
                    "张图,点击图片可预览下一张\n    "
                )
              ]),
              _c("img", {
                attrs: {
                  width: "100%",
                  src: _vm.uploadFiles[_vm.preivewIndex].url,
                  alt: ""
                },
                on: { click: _vm.$autoView }
              }),
              _c(
                "div",
                {
                  directives: [
                    {
                      name: "loading",
                      rawName: "v-loading",
                      value: _vm.uping,
                      expression: "uping"
                    }
                  ],
                  attrs: { slot: "footer" },
                  slot: "footer"
                },
                [
                  _c(
                    "mk-button",
                    {
                      attrs: { disabled: _vm.preivewIndex <= 0 },
                      on: { click: _vm.$lastPreview }
                    },
                    [_vm._v("上一张")]
                  ),
                  _c(
                    "mk-button",
                    {
                      attrs: {
                        disabled: _vm.preivewIndex >= _vm.uploadFiles.length - 1
                      },
                      on: { click: _vm.$nextPreview }
                    },
                    [_vm._v("下一张")]
                  ),
                  _c(
                    "mk-button",
                    {
                      on: {
                        click: function($event) {
                          return _vm.$handleDown(
                            _vm.uploadFiles[_vm.preivewIndex]
                          )
                        }
                      }
                    },
                    [_vm._v("下载")]
                  ),
                  _c(
                    "mk-button",
                    {
                      on: {
                        click: function($event) {
                          return _vm.$handleReplace(_vm.preivewIndex)
                        }
                      }
                    },
                    [_vm._v("替换")]
                  ),
                  _c(
                    "mk-button",
                    {
                      on: {
                        click: function($event) {
                          return _vm.$handleRemove(
                            _vm.uploadFiles[_vm.preivewIndex],
                            true
                          )
                        }
                      }
                    },
                    [_vm._v("删除")]
                  )
                ],
                1
              )
            ]
          )
        : _vm._e(),
      _vm.choose
        ? _c(
            "el-dialog",
            {
              attrs: {
                visible: _vm.chooseIng,
                "append-to-body": "",
                top: "4vh",
                width: "980px"
              },
              on: { close: _vm.$chooseEnd }
            },
            [
              _c(
                "div",
                { attrs: { slot: "title" }, slot: "title" },
                [
                  _vm._v("\n      选择文件\n      "),
                  this.limit > 0 && this.uploadFiles.length < this.limit
                    ? _c("el-tag", { attrs: { type: "warning" } }, [
                        _vm._v(
                          "还能选择" +
                            _vm._s(
                              _vm._f("math-abs")(
                                _vm._f("math-sub")(
                                  _vm.uploadFiles.length,
                                  _vm.limit
                                )
                              )
                            ) +
                            "张"
                        )
                      ])
                    : _vm.limit > 0
                    ? _c("el-tag", { attrs: { type: "success" } }, [
                        _vm._v("已经全部选择完毕，不能再选择了")
                      ])
                    : _vm._e()
                ],
                1
              ),
              _c(
                "div",
                {
                  directives: [
                    {
                      name: "loading",
                      rawName: "v-loading",
                      value: _vm.chooseLoading,
                      expression: "chooseLoading"
                    }
                  ],
                  attrs: {
                    "element-loading-text": "加载中...",
                    "element-loading-spinner": "el-icon-loading",
                    "element-loading-background": "rgba(0, 0, 0, 0.8)"
                  }
                },
                [
                  _c(
                    "el-row",
                    [
                      _c(
                        "el-col",
                        { attrs: { span: 4 } },
                        [
                          _c(
                            "el-row",
                            {
                              directives: [
                                {
                                  name: "loading",
                                  rawName: "v-loading",
                                  value: _vm.chooseNewFolderIng,
                                  expression: "chooseNewFolderIng"
                                }
                              ],
                              staticStyle: {
                                display: "flex",
                                "align-items": "baseline"
                              },
                              attrs: {
                                "element-loading-text": "保存中...",
                                "element-loading-spinner": "el-icon-loading",
                                "element-loading-background":
                                  "rgba(0, 0, 0, 0.8)"
                              }
                            },
                            [
                              _c(
                                "el-col",
                                {
                                  staticClass: "el-folder",
                                  attrs: { span: 24 }
                                },
                                [
                                  _c(
                                    "el-popover",
                                    {
                                      attrs: {
                                        placement: "bottom",
                                        width: "200",
                                        trigger: "click"
                                      },
                                      model: {
                                        value: _vm.chooseNewFolderVisible,
                                        callback: function($$v) {
                                          _vm.chooseNewFolderVisible = $$v
                                        },
                                        expression: "chooseNewFolderVisible"
                                      }
                                    },
                                    [
                                      _c("el-input", {
                                        ref: "chooseFolderInput",
                                        staticClass: "input-new-tag",
                                        attrs: { size: "small" },
                                        model: {
                                          value: _vm.chooseNewFolder,
                                          callback: function($$v) {
                                            _vm.chooseNewFolder = $$v
                                          },
                                          expression: "chooseNewFolder"
                                        }
                                      }),
                                      _c(
                                        "div",
                                        {
                                          staticStyle: {
                                            "text-align": "right",
                                            margin: "0"
                                          }
                                        },
                                        [
                                          _c(
                                            "el-button",
                                            {
                                              attrs: {
                                                size: "mini",
                                                type: "text",
                                                loading: _vm.chooseNewFolderIng
                                              },
                                              on: {
                                                click: function($event) {
                                                  return _vm.$chooseNewFolder(
                                                    false
                                                  )
                                                }
                                              }
                                            },
                                            [_vm._v("取消")]
                                          ),
                                          _c(
                                            "el-button",
                                            {
                                              attrs: {
                                                type: "primary",
                                                size: "mini",
                                                loading: _vm.chooseNewFolderIng
                                              },
                                              on: {
                                                click: _vm.$chooseNewFolder
                                              }
                                            },
                                            [_vm._v("确定")]
                                          )
                                        ],
                                        1
                                      ),
                                      _c(
                                        "mk-button",
                                        {
                                          staticClass: "button-new-tag",
                                          attrs: {
                                            slot: "reference",
                                            type: 4,
                                            icon: "el-icon-plus"
                                          },
                                          on: {
                                            click: _vm.$chooseNewFolderVisible
                                          },
                                          slot: "reference"
                                        },
                                        [_vm._v("新文件夹")]
                                      ),
                                      _c(
                                        "mk-button",
                                        {
                                          directives: [
                                            {
                                              name: "show",
                                              rawName: "v-show",
                                              value: _vm.lockFolder,
                                              expression: "lockFolder"
                                            }
                                          ],
                                          staticClass: "button-new-tag",
                                          attrs: {
                                            slot: "reference",
                                            type: 4,
                                            icon: "el-icon-refresh"
                                          },
                                          on: { click: _vm.$clearLock },
                                          slot: "reference"
                                        },
                                        [_vm._v("显示全部文件夹")]
                                      )
                                    ],
                                    1
                                  ),
                                  _c(
                                    "ul",
                                    { staticClass: "choose-tag" },
                                    _vm._l(_vm.chooseFolders, function(
                                      item,
                                      index
                                    ) {
                                      return _c(
                                        "li",
                                        {
                                          directives: [
                                            {
                                              name: "show",
                                              rawName: "v-show",
                                              value:
                                                !_vm.lockFolder || item.lock,
                                              expression:
                                                "!lockFolder || item.lock"
                                            }
                                          ],
                                          key: index,
                                          attrs: {
                                            type:
                                              item.cfid ===
                                              (_vm.chooseFolder &&
                                                _vm.chooseFolder.cfid)
                                                ? "danger"
                                                : "info"
                                          },
                                          on: {
                                            click: function($event) {
                                              if (
                                                $event.target !==
                                                $event.currentTarget
                                              ) {
                                                return null
                                              }
                                              return _vm.$lockFolder(item)
                                            }
                                          }
                                        },
                                        [
                                          _vm._v(
                                            "\n                  " +
                                              _vm._s(item.cfname)
                                          )
                                        ]
                                      )
                                    }),
                                    0
                                  )
                                ],
                                1
                              )
                            ],
                            1
                          )
                        ],
                        1
                      ),
                      _c(
                        "el-col",
                        { attrs: { span: 20 } },
                        [
                          _c(
                            "el-row",
                            {
                              directives: [
                                {
                                  name: "loading",
                                  rawName: "v-loading",
                                  value: _vm.chooseNewFolderIng,
                                  expression: "chooseNewFolderIng"
                                }
                              ],
                              staticStyle: {
                                display: "flex",
                                "align-items": "baseline"
                              },
                              attrs: {
                                "element-loading-text": "保存中...",
                                "element-loading-spinner": "el-icon-loading",
                                "element-loading-background":
                                  "rgba(0, 0, 0, 0.8)"
                              }
                            },
                            [
                              _c(
                                "el-col",
                                { attrs: { span: 4 } },
                                [
                                  _c(
                                    "mk-upload2",
                                    {
                                      staticStyle: { display: "inline" },
                                      attrs: {
                                        "value-model": false,
                                        choose: false,
                                        multiple: "",
                                        "save-res": false,
                                        compress: _vm.compress,
                                        "compress-height": _vm.compressHeight,
                                        "compress-width": _vm.compressWidth,
                                        size: _vm.size
                                      },
                                      on: { success: _vm.$chooseUpSuc }
                                    },
                                    [
                                      _c(
                                        "mk-button",
                                        {
                                          attrs: {
                                            type: 4,
                                            icon: "el-icon-plus"
                                          }
                                        },
                                        [_vm._v("上传新文件")]
                                      )
                                    ],
                                    1
                                  )
                                ],
                                1
                              )
                            ],
                            1
                          ),
                          _vm.chooseFiles.length > 0
                            ? _c(
                                "ul",
                                {
                                  directives: [
                                    {
                                      name: "loading",
                                      rawName: "v-loading",
                                      value: _vm.chooseDelIng,
                                      expression: "chooseDelIng"
                                    }
                                  ],
                                  class: _vm.chooseBoxCls
                                },
                                _vm._l(_vm.chooseFiles, function(file, index) {
                                  return _c(
                                    "li",
                                    {
                                      key: index,
                                      class: [
                                        "el-upload-list__item",
                                        "is-success",
                                        "focusing"
                                      ]
                                    },
                                    [
                                      _c("img", {
                                        ref: file.rsid,
                                        refInFor: true,
                                        staticClass:
                                          "el-upload-list__item-thumbnail",
                                        attrs: { src: file.url, alt: "" },
                                        on: {
                                          load: function($event) {
                                            return _vm.$imgLoad($event, file)
                                          }
                                        }
                                      }),
                                      file.width
                                        ? _c(
                                            "label",
                                            {
                                              staticClass:
                                                "el-upload-list__item-status-label-size"
                                            },
                                            [
                                              _vm._v(
                                                _vm._s(file.width) +
                                                  "*" +
                                                  _vm._s(file.height)
                                              )
                                            ]
                                          )
                                        : _vm._e(),
                                      file.checked === true
                                        ? _c(
                                            "label",
                                            {
                                              staticClass:
                                                "el-upload-list__item-status-label"
                                            },
                                            [
                                              _c("i", {
                                                staticClass:
                                                  "el-icon-upload-success el-icon-check"
                                              })
                                            ]
                                          )
                                        : _vm._e(),
                                      _c(
                                        "span",
                                        {
                                          staticClass:
                                            "el-upload-list__item-actions"
                                        },
                                        [
                                          _c(
                                            "span",
                                            {
                                              staticClass:
                                                "el-upload-list__item-preview",
                                              on: {
                                                click: function($event) {
                                                  return _vm.$choose(file)
                                                }
                                              }
                                            },
                                            [
                                              file.checked === false
                                                ? _c("i", {
                                                    staticClass: "el-icon-check"
                                                  })
                                                : _c("i", {
                                                    staticClass: "el-icon-minus"
                                                  })
                                            ]
                                          ),
                                          _c(
                                            "span",
                                            {
                                              staticClass:
                                                "el-upload-list__item-preview",
                                              on: {
                                                click: function($event) {
                                                  return _vm.$chooseDel(file)
                                                }
                                              }
                                            },
                                            [
                                              _c("i", {
                                                staticClass: "el-icon-delete"
                                              })
                                            ]
                                          ),
                                          _c(
                                            "span",
                                            {
                                              staticClass:
                                                "el-upload-list__item-preview",
                                              on: {
                                                click: function($event) {
                                                  return _vm.$handleDown(file)
                                                }
                                              }
                                            },
                                            [
                                              _c("i", {
                                                staticClass: "el-icon-download"
                                              })
                                            ]
                                          )
                                        ]
                                      )
                                    ]
                                  )
                                }),
                                0
                              )
                            : _c("el-alert", {
                                attrs: {
                                  center: "",
                                  title: "暂无文件",
                                  description: "请查看其它文件夹或者上传新文件",
                                  closable: false,
                                  type: "warning",
                                  "show-icon": ""
                                }
                              }),
                          _c("el-pagination", {
                            attrs: {
                              "page-sizes": [42, 84],
                              "page-size": _vm.choosePageSize,
                              "current-page": _vm.choosePage,
                              layout: "total, sizes, prev, pager, next, jumper",
                              total: _vm.chooseRows
                            },
                            on: {
                              "size-change": _vm.$chooseSizeChange,
                              "current-change": _vm.$choosePageChange
                            }
                          })
                        ],
                        1
                      )
                    ],
                    1
                  )
                ],
                1
              )
            ]
          )
        : _vm._e(),
      _vm.chooseCustom
        ? _c(
            "el-dialog",
            {
              attrs: {
                visible: _vm.chooseIng2,
                "append-to-body": "",
                top: "4vh",
                width: "980px"
              },
              on: { close: _vm.$chooseEnd }
            },
            [
              _c(
                "div",
                { attrs: { slot: "title" }, slot: "title" },
                [
                  _vm._v(
                    "\n      " + _vm._s(_vm.customChooseTitle) + "\n      "
                  ),
                  this.limit > 0 && this.uploadFiles.length < this.limit
                    ? _c("el-tag", { attrs: { type: "warning" } }, [
                        _vm._v(
                          "还能选择" +
                            _vm._s(
                              _vm._f("math-abs")(
                                _vm._f("math-sub")(
                                  _vm.uploadFiles.length,
                                  _vm.limit
                                )
                              )
                            ) +
                            "张"
                        )
                      ])
                    : _vm.limit > 0
                    ? _c("el-tag", { attrs: { type: "success" } }, [
                        _vm._v("已经全部选择完毕，不能再选择了")
                      ])
                    : _vm._e()
                ],
                1
              ),
              _vm.customFiles.length > 0
                ? _c(
                    "ul",
                    {
                      directives: [
                        {
                          name: "loading",
                          rawName: "v-loading",
                          value: _vm.chooseDelIng,
                          expression: "chooseDelIng"
                        }
                      ],
                      class: _vm.chooseBoxCls
                    },
                    _vm._l(_vm.customFiles, function(file, index) {
                      return _c(
                        "li",
                        {
                          key: index,
                          class: [
                            "el-upload-list__item",
                            "is-success",
                            "focusing"
                          ]
                        },
                        [
                          _c("img", {
                            staticClass: "el-upload-list__item-thumbnail",
                            attrs: { src: file.url, alt: "" }
                          }),
                          file.width
                            ? _c(
                                "label",
                                {
                                  staticClass:
                                    "el-upload-list__item-status-label-size"
                                },
                                [
                                  _vm._v(
                                    _vm._s(file.width) +
                                      "*" +
                                      _vm._s(file.height)
                                  )
                                ]
                              )
                            : _vm._e(),
                          _vm.uploadFiles.findIndex(function(fl) {
                            return fl.url === file.url
                          }) > -1
                            ? _c(
                                "label",
                                {
                                  staticClass:
                                    "el-upload-list__item-status-label"
                                },
                                [
                                  _c("i", {
                                    staticClass:
                                      "el-icon-upload-success el-icon-check"
                                  })
                                ]
                              )
                            : _vm._e(),
                          _c(
                            "span",
                            { staticClass: "el-upload-list__item-actions" },
                            [
                              _c(
                                "span",
                                {
                                  staticClass: "el-upload-list__item-preview",
                                  on: {
                                    click: function($event) {
                                      return _vm.$choose(file)
                                    }
                                  }
                                },
                                [
                                  _vm.uploadFiles.findIndex(function(fl) {
                                    return fl.url === file.url
                                  }) === -1
                                    ? _c("i", { staticClass: "el-icon-check" })
                                    : _c("i", { staticClass: "el-icon-minus" })
                                ]
                              ),
                              _c(
                                "span",
                                {
                                  staticClass: "el-upload-list__item-preview",
                                  on: {
                                    click: function($event) {
                                      return _vm.$handleDown(file)
                                    }
                                  }
                                },
                                [_c("i", { staticClass: "el-icon-download" })]
                              )
                            ]
                          )
                        ]
                      )
                    }),
                    0
                  )
                : _c("el-alert", {
                    attrs: {
                      center: "",
                      title: "暂无文件",
                      closable: false,
                      type: "warning",
                      "show-icon": ""
                    }
                  })
            ],
            1
          )
        : _vm._e()
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/mk-upload3/src/main.vue?vue&type=template&id=00ec01dc&scoped=true&

// EXTERNAL MODULE: external "babel-runtime/core-js/get-iterator"
var get_iterator_ = __webpack_require__(27);
var get_iterator_default = /*#__PURE__*/__webpack_require__.n(get_iterator_);

// EXTERNAL MODULE: external "babel-runtime/regenerator"
var regenerator_ = __webpack_require__(3);
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/asyncToGenerator"
var asyncToGenerator_ = __webpack_require__(6);
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator_);

// EXTERNAL MODULE: external "babel-runtime/helpers/extends"
var extends_ = __webpack_require__(35);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "mk-element/lib/progress"
var progress_ = __webpack_require__(36);
var progress_default = /*#__PURE__*/__webpack_require__.n(progress_);

// EXTERNAL MODULE: external "sortablejs"
var external_sortablejs_ = __webpack_require__(94);
var external_sortablejs_default = /*#__PURE__*/__webpack_require__.n(external_sortablejs_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/mk-upload3/src/main.vue?vue&type=script&lang=js&




//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



var mainvue_type_script_lang_js_status = 'success';

/**
 * electron 上传图片专用
 * emit
 * success(key)
 * remove(key)
 *
 * slot
 * default 触发上传的按钮,如果没有这个slot那么默认展示一个+，点击+上传
 *
 * v-model="[key1, key2]" 或者v-model="key"
 * 当multiple=true时，绑定的是数组，否则绑定的字符串
 * value-model=false时，仅通知success事件，而不进行双向绑定，也不记录已经上传成功的文件
 *
 */

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'MkUpload3',
  props: {
    value: {
      type: [String, Array]
    },
    valueModel: {
      type: Boolean,
      default: true
    },
    // 批量上传?
    // false时，强制将limit改为1
    multiple: {
      type: Boolean,
      default: false
    },
    // 显示文件列表?
    showList: {
      type: Boolean,
      default: true
    },
    // 提示文字
    tip: String,
    // 禁用?
    disabled: {
      type: Boolean,
      default: false
    },
    // 最多多少个文件,0=无限
    limit: {
      type: Number,
      default: 0
    },
    // 文件大小,单位是M,默认5M
    size: {
      type: Number,
      default: 0
    },
    // 图片文件希望的压缩宽度,单位px
    // 0 表示不压缩
    // 这是上传组件的压缩，与剪切功能无关
    compressWidth: {
      type: Number,
      default: 0
    },
    // 图片文件希望的压缩高度,单位px
    // 0 表示不压缩
    // 这是上传组件的压缩，与剪切功能无关
    compressHeight: {
      type: Number,
      default: 0
    },
    // 图片上传质量,默认0，可取0-100
    // 0- 不压缩
    // 这是上传组件的压缩，与剪切功能无关
    compress: {
      type: Number,
      default: 0
    },
    // picture-card时文件列表的宽度
    width: {
      type: Number,
      default: 100
    },
    // picture-card时文件列表高度
    height: {
      type: Number,
      default: 100
    },
    // 选择文件?
    choose: {
      type: Boolean,
      default: true
    },
    // 选择的同时也能直接上传
    chooseAndUpload: {
      type: Boolean,
      default: false
    },
    // 自定义选择,必须传递customList
    chooseCustom: {
      type: Boolean,
      default: false
    },
    // 自定义选择title
    customChooseTitle: {
      type: String,
      default: '选择本页面图片'
    },
    // 自定义文件
    customList: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    // 是否保存上传信息到资源表?
    saveRes: {
      type: Boolean,
      default: true
    },
    // 上传文件自定义保存方法
    saveResFn: Function
  },
  data: function data() {
    return {
      notDrag: true,
      // 挂载的文件列表
      uploadFiles: [],
      // 文件计数变量
      tempIndex: 1,
      // 上传中
      uping: false,
      // 选择文件弹框
      chooseIng: false,
      chooseIng2: false,
      // 单个文件聚焦状态
      focusing: false,
      // 带选择文件列表
      chooseFiles: [],
      // 选择文件加载中
      chooseLoading: false,
      // 选择文件当前第几页
      choosePage: 1,
      // 选择文件每页条数
      choosePageSize: 42,
      // 当前选中的文件夹
      chooseFolder: {},
      // 文件夹列表
      chooseFolders: [],
      // 选择文件的记录数
      chooseRows: 0,
      // 正在新增新文件夹的状态
      chooseNewFolderVisible: false,
      // 新录入的文件夹名称
      chooseNewFolder: null,
      // 新增保存中
      chooseNewFolderIng: false,
      // 选择文件删除中
      chooseDelIng: false,
      // 替换的文件的下标
      replaceIndex: -1,
      // 有锁定的文件夹
      lockFolder: false,
      // 文件预览框打开与否
      previewIng: false,
      preivewWidth: 0,
      preivewIndex: -1
    };
  },

  computed: {
    // 自己禁用或者所属表单禁用
    uploadDisabled: function uploadDisabled() {
      return this.disabled || (this.elForm || {}).disabled;
    },

    // 只有自己设置为展示文件列表、同时是valueModel时
    // 才展示文件列表
    showFileList: function showFileList() {
      return this.valueModel === true && this.showList === true;
    },

    // 只有multiple时才支持多个文件
    limitFile: function limitFile() {
      return this.multiple === true ? this.limit : 1;
    },

    // 文件列表宽高
    fileStyle: function fileStyle() {
      return {
        width: this.width + 'px',
        height: this.height + 'px'
      };
    },

    // 文件列表操作按钮字体大小
    actionStyle: function actionStyle() {
      return {
        fontSize: Math.max(Math.min(this.height / 5, this.width / 5), 10) + 'px'
      };
    },

    // 上传按钮样式
    upStyle: function upStyle() {
      return {
        width: !this.$slots.default ? this.width + 'px' : '',
        height: !this.$slots.default ? this.height + 'px' : '',
        lineHeight: !this.$slots.default ? this.height - 2 + 'px' : ''
      };
    },

    // 上传按钮的cls
    upCardCls: function upCardCls() {
      var _ref;

      return _ref = {}, _ref['el-upload--picture-card'] = !this.$slots.default, _ref['el-upload'] = !this.$slots.default, _ref['el-upload--noheight'] = !!this.$slots.default, _ref;
    },

    // 上传按钮是否显示
    upShow: function upShow() {
      return isNaN(this.limitFile) || this.limitFile === 0 || this.limitFile > this.uploadFiles.length;
    },

    // 文件选择列表的样式
    chooseBoxCls: function chooseBoxCls() {
      return {
        'el-upload-list': true,
        'el-upload-list--picture-card': true,
        'el-choose-file': true,
        'el-choose-file-img': true
      };
    },
    customFiles: function customFiles() {
      var _this = this;

      if (this.customList) {
        return this.customList.map(function (file) {
          var item = {};
          item.key = _this.$genViewKey(file);
          item.checked = _this.uploadFiles.findIndex(function (fl) {
            return fl.key === item.key;
          }) > -1;
          item.url = file;
          item.width = 0;
          item.height = 0;
          return item;
        });
      } else {
        return [];
      }
    }
  },
  watch: {
    value: {
      immediate: true,
      handler: function handler(vl) {
        var _this2 = this;

        // 非valueModel时，跳过操作
        if (this.valueModel === false) return;
        if (vl) {
          // 非多选时，文件是一个字符串，这里强制转为数组
          if (this.multiple === false) vl = [vl];
          var oldFiles = this.uploadFiles.filter(function (item) {
            return item.status !== 'success';
          });
          this.uploadFiles = [];
          vl.forEach(function (url) {
            if (url) {
              var key = _this2.$genViewKey(url);
              var cache = _this2.$cache.get(key);
              if (cache) {
                cache = JSON.parse(cache);
              } else {
                cache = {
                  width: 0,
                  height: 0
                };
              }
              _this2.$push(extends_default()({
                status: mainvue_type_script_lang_js_status,
                key: key,
                url: url
              }, cache));
            }
          });
          oldFiles.forEach(function (item) {
            _this2.$push(item);
          });
        }
      }
    }
  },
  methods: {
    // 解析key
    $genViewKey: function $genViewKey(uri) {
      var arr = uri.match(/key=([0-9a-zA-Z.]+)/);
      if (arr && arr.length === 2) {
        return arr[1];
      }
      return uri;
    },

    // 上传
    $upload: function $upload() {
      var _this3 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
        var size, uris;
        return regenerator_default.a.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                size = {};

                if (_this3.compressWidth) {
                  size.width = _this3.compressWidth;
                }
                if (_this3.compressHeight) {
                  size.height = _this3.compressHeight;
                }
                _this3.uping = true;
                _context.prev = 4;
                _context.next = 7;
                return _this3.$ipc.each('choose-upload-file', {
                  title: '请选择要上传的文件(仅支持jpg、png)',
                  type: ['jpg', 'png'],
                  multi: _this3.multiple,
                  name: 'jpeg图片',
                  size: size,
                  quality: _this3.compress
                });

              case 7:
                uris = _context.sent;

                uris.forEach(function (url, index) {
                  var key = _this3.$genViewKey(url);
                  if (_this3.limit === 0 || _this3.limit > 0 && _this3.uploadFiles.length < _this3.limit) {
                    if (_this3.$push({
                      key: key,
                      status: mainvue_type_script_lang_js_status,
                      url: url,
                      width: 0,
                      height: 0
                    }) === true) {
                      _this3.$chooseUpSuc(url, key);
                    } else {
                      _this3.$message.warning('\u7B2C' + (index + 1) + '\u4E2A\u6587\u4EF6\u5DF2\u7ECF\u5B58\u5728!');
                    }
                  } else {
                    _this3.$message.warning('\u6700\u591A\u4E0A\u4F20' + _this3.limit + '\u4E2A\u6587\u4EF6!');
                  }
                });
                _this3.$input();

              case 10:
                _context.prev = 10;

                _this3.uping = false;
                return _context.finish(10);

              case 13:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, _this3, [[4,, 10, 13]]);
      }))();
    },

    // 打开用户本地添加文件对话框
    // add= 是否是新增，否则是替换
    // forceAdd= 强制上传，而不是有可能性的选择
    // 自定义选择?
    $addFile: function $addFile(add, forceAdd, customChoose) {
      var _this4 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee2() {
        return regenerator_default.a.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                if (add === true) {
                  _this4.replaceIndex = -1;
                }

                if (_this4.disabled) {
                  _context2.next = 17;
                  break;
                }

                if (!(forceAdd === true)) {
                  _context2.next = 6;
                  break;
                }

                _this4.$upload();
                _context2.next = 17;
                break;

              case 6:
                if (!(customChoose === true)) {
                  _context2.next = 11;
                  break;
                }

                _context2.next = 9;
                return _this4.$startChoose2();

              case 9:
                _context2.next = 17;
                break;

              case 11:
                if (!(_this4.choose === true)) {
                  _context2.next = 16;
                  break;
                }

                _context2.next = 14;
                return _this4.$startChoose();

              case 14:
                _context2.next = 17;
                break;

              case 16:
                _this4.$upload();

              case 17:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, _this4);
      }))();
    },

    // 处理移除文件
    $handleRemove: function $handleRemove(raw, isView) {
      var fileIndex = this.uploadFiles.findIndex(function (item) {
        return item.key === raw.key;
      });
      if (fileIndex + 1 > this.uploadFiles.length) {
        this.preivewIndex = this.preivewIndex + 1;
      } else {
        this.preivewIndex = 0;
      }
      var file = this.uploadFiles.find(function (item) {
        return item.key === raw.key;
      });
      this.uploadFiles.splice(fileIndex, 1);
      if (file.status === 'success') {
        this.$input();
        this.$emit('remove', file.url);
      }
    },

    // 结束预览
    $previewEnd: function $previewEnd() {
      this.previewIng = false;
      this.preivewIndex = -1;
    },

    // 文件下载
    $handleDown: function $handleDown(file) {
      var _this5 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee3() {
        var result;
        return regenerator_default.a.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                _context3.next = 2;
                return _this5.$ipc.each('save-file', {
                  filepath: file.url,
                  title: '请选择文件存储路径',
                  type: ['jpg'],
                  name: 'jpeg图片'
                });

              case 2:
                result = _context3.sent;

                if (result) {
                  _this5.$message('下载完毕');
                }

              case 4:
              case 'end':
                return _context3.stop();
            }
          }
        }, _callee3, _this5);
      }))();
    },

    // 文件预览
    $handleView: function $handleView(file, index) {
      var img = index !== undefined ? this.$refs['file-' + index] : this.$refs[file.rsid];
      if (img && img[0]) {
        this.preivewWidth = img[0].naturalWidth;
      } else {
        this.preivewWidth = 1024;
      }
      this.previewIng = true;
      this.preivewIndex = index;
    },
    $autoView: function $autoView() {
      if (this.preivewIndex < this.uploadFiles.length - 1) {
        this.$nextPreview();
      } else {
        this.$handleView(this.uploadFiles[0], 0);
      }
    },
    $lastPreview: function $lastPreview() {
      this.$handleView(this.uploadFiles[this.preivewIndex - 1], this.preivewIndex - 1);
    },
    $nextPreview: function $nextPreview() {
      this.$handleView(this.uploadFiles[this.preivewIndex + 1], this.preivewIndex + 1);
    },

    // 广播v-model改变
    $input: function $input() {
      var _this6 = this;

      if (this.valueModel === true) {
        var result = [];
        var size = [];
        this.uploadFiles.forEach(function (item) {
          if (item.status === 'success') {
            result.push(item.url);
            if (item.width) {
              size.push({
                width: item.width,
                height: item.height
              });
            } else {
              var cache = _this6.$cache.get(item.key);
              if (cache) {
                size.push(JSON.parse(cache));
              }
            }
          }
        });
        if (this.multiple === true) {
          this.$emit('input', result);
        } else if (result.length > 0) {
          this.$emit('input', result[0]);
        } else {
          this.$emit('input', null);
        }
        this.$emit('change', size);
      }
    },

    // 替换图片
    $handleReplace: function $handleReplace(index) {
      this.replaceIndex = index;
      this.$addFile();
    },

    // 启动选择界面
    $startChoose: function $startChoose() {
      var _this7 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee4() {
        return regenerator_default.a.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                _this7.chooseIng = true;
                _this7.choosePage = 1;
                _context4.next = 4;
                return _this7.$initChooseFolders();

              case 4:
                _context4.next = 6;
                return _this7.$chooseLoading();

              case 6:
              case 'end':
                return _context4.stop();
            }
          }
        }, _callee4, _this7);
      }))();
    },

    // 启动选择界面
    $startChoose2: function $startChoose2() {
      var _this8 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee5() {
        return regenerator_default.a.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                _this8.chooseIng2 = true;

              case 1:
              case 'end':
                return _context5.stop();
            }
          }
        }, _callee5, _this8);
      }))();
    },

    // 关闭选择界面
    $chooseEnd: function $chooseEnd() {
      this.chooseIng = false;
      this.chooseIng2 = false;
      this.previewIng = false;
    },

    // 选择文件界面 文件列表加载
    $chooseLoading: function $chooseLoading() {
      var _this9 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee6() {
        var response;
        return regenerator_default.a.wrap(function _callee6$(_context6) {
          while (1) {
            switch (_context6.prev = _context6.next) {
              case 0:
                _context6.prev = 0;

                _this9.chooseLoading = true;

                if (!(_this9.chooseFolders.length === 0)) {
                  _context6.next = 4;
                  break;
                }

                return _context6.abrupt('return');

              case 4:
                if (_this9.chooseFolder) {
                  _context6.next = 6;
                  break;
                }

                return _context6.abrupt('return');

              case 6:
                _context6.next = 8;
                return _this9.$get('/query.json', {
                  sqlCode: 'cmResource.select_list',
                  currentPage: _this9.choosePage,
                  pageSize: _this9.choosePageSize,
                  rstype: _this9.type,
                  cfid: _this9.chooseFolder.cfid
                });

              case 8:
                response = _context6.sent;

                _this9.chooseRows = response.totalRow;
                response.list.forEach(function (item) {
                  item.key = _this9.$genViewKey(item.rsuri);
                  item.checked = _this9.uploadFiles.findIndex(function (fl) {
                    return fl.key === item.key;
                  }) > -1;
                  item.url = item.rsuri;
                  item.width = 0;
                  item.height = 0;
                });
                _this9.chooseFiles = response.list;
                _context6.next = 17;
                break;

              case 14:
                _context6.prev = 14;
                _context6.t0 = _context6['catch'](0);

                _this9.$message.error('加载失败');

              case 17:
                _context6.prev = 17;

                _this9.chooseLoading = false;
                return _context6.finish(17);

              case 20:
              case 'end':
                return _context6.stop();
            }
          }
        }, _callee6, _this9, [[0, 14, 17, 20]]);
      }))();
    },

    // 选择文件夹初始化 文件夹
    $initChooseFolders: function $initChooseFolders() {
      var _this10 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee7() {
        var rstype, response, fileFloders, lockid, _iterator, _isArray, _i, _ref2, item;

        return regenerator_default.a.wrap(function _callee7$(_context7) {
          while (1) {
            switch (_context7.prev = _context7.next) {
              case 0:
                if (!(_this10.choose === true)) {
                  _context7.next = 32;
                  break;
                }

                rstype = _this10.type;
                _context7.next = 4;
                return _this10.$get('query.json', {
                  sqlCode: 'cmResourceFolder.select_list',
                  rstype: rstype,
                  sortName: 'cfname',
                  sortType: 'asc'
                });

              case 4:
                response = _context7.sent;
                fileFloders = response.list;
                lockid = _this10.$cache.get(_this10.type + '-lock-folder');

                if (lockid) {
                  _this10.lockFolder = true;
                }
                _iterator = fileFloders, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : get_iterator_default()(_iterator);

              case 9:
                if (!_isArray) {
                  _context7.next = 15;
                  break;
                }

                if (!(_i >= _iterator.length)) {
                  _context7.next = 12;
                  break;
                }

                return _context7.abrupt('break', 30);

              case 12:
                _ref2 = _iterator[_i++];
                _context7.next = 19;
                break;

              case 15:
                _i = _iterator.next();

                if (!_i.done) {
                  _context7.next = 18;
                  break;
                }

                return _context7.abrupt('break', 30);

              case 18:
                _ref2 = _i.value;

              case 19:
                item = _ref2;

                if (!(item.cfid === lockid)) {
                  _context7.next = 27;
                  break;
                }

                item.lock = true;
                _this10.chooseFolder = item;
                _context7.next = 25;
                return _this10.$chooseLoading();

              case 25:
                _context7.next = 28;
                break;

              case 27:
                item.lock = false;

              case 28:
                _context7.next = 9;
                break;

              case 30:
                if (fileFloders.length > 0 && !_this10.chooseFolder) {
                  _this10.chooseFolder = fileFloders[0];
                }
                _this10.chooseFolders = fileFloders;

              case 32:
              case 'end':
                return _context7.stop();
            }
          }
        }, _callee7, _this10);
      }))();
    },

    // 解除锁定
    $clearLock: function $clearLock() {
      var _this11 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee8() {
        return regenerator_default.a.wrap(function _callee8$(_context8) {
          while (1) {
            switch (_context8.prev = _context8.next) {
              case 0:
                _this11.chooseFolders.forEach(function (item) {
                  item.lock = false;
                });
                _this11.lockFolder = false;
                _this11.$cache.remove(_this11.type + '-lock-folder');
                _this11.chooseFolder = {};
                _this11.choosePage = 1;
                _context8.next = 7;
                return _this11.$chooseLoading();

              case 7:
              case 'end':
                return _context8.stop();
            }
          }
        }, _callee8, _this11);
      }))();
    },

    // 锁定与解锁
    $lockFolder: function $lockFolder(folder) {
      var _this12 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee9() {
        return regenerator_default.a.wrap(function _callee9$(_context9) {
          while (1) {
            switch (_context9.prev = _context9.next) {
              case 0:
                folder.lock = !folder.lock;
                if (folder.lock === true) {
                  _this12.lockFolder = true;
                  _this12.$cache.set(_this12.type + '-lock-folder', folder.cfid);
                  _this12.chooseFolder = folder;
                } else {
                  _this12.lockFolder = false;
                  _this12.$cache.remove(_this12.type + '-lock-folder');
                  _this12.chooseFolder = {};
                }
                _this12.choosePage = 1;
                _context9.next = 5;
                return _this12.$chooseLoading();

              case 5:
              case 'end':
                return _context9.stop();
            }
          }
        }, _callee9, _this12);
      }))();
    },

    // 选择文件页面尺寸改变
    $chooseSizeChange: function $chooseSizeChange(vl) {
      var _this13 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee10() {
        return regenerator_default.a.wrap(function _callee10$(_context10) {
          while (1) {
            switch (_context10.prev = _context10.next) {
              case 0:
                _this13.choosePageSize = vl;
                _this13.choosePage = 1;
                _context10.next = 4;
                return _this13.$chooseLoading();

              case 4:
              case 'end':
                return _context10.stop();
            }
          }
        }, _callee10, _this13);
      }))();
    },

    // 选择文件页码改变
    $choosePageChange: function $choosePageChange(vl) {
      var _this14 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee11() {
        return regenerator_default.a.wrap(function _callee11$(_context11) {
          while (1) {
            switch (_context11.prev = _context11.next) {
              case 0:
                _this14.choosePage = vl;
                _context11.next = 3;
                return _this14.$chooseLoading();

              case 3:
              case 'end':
                return _context11.stop();
            }
          }
        }, _callee11, _this14);
      }))();
    },

    // 选择文件界面文件上传后需处理
    // 将文件key提交数据库
    $chooseUpSuc: function $chooseUpSuc(rsuri, rsname) {
      var _this15 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee12() {
        return regenerator_default.a.wrap(function _callee12$(_context12) {
          while (1) {
            switch (_context12.prev = _context12.next) {
              case 0:
                if (!(_this15.saveRes === true)) {
                  _context12.next = 3;
                  break;
                }

                _context12.next = 3;
                return _this15.$post('/cmResource/add.json', {
                  cmResource: {
                    rsname: rsname,
                    rstype: _this15.type,
                    rsuri: rsuri,
                    isactive: 1,
                    paymoney: 0,
                    cfid: _this15.chooseFolder && _this15.chooseFolder.cfid
                  }
                });

              case 3:
                if (!_this15.saveResFn) {
                  _context12.next = 6;
                  break;
                }

                _context12.next = 6;
                return _this15.saveResFn({
                  rsuri: rsuri,
                  rsname: rsname
                });

              case 6:
                if (!(_this15.choose === true)) {
                  _context12.next = 10;
                  break;
                }

                _this15.choosePage = 1;
                _context12.next = 10;
                return _this15.$chooseLoading();

              case 10:
              case 'end':
                return _context12.stop();
            }
          }
        }, _callee12, _this15);
      }))();
    },
    $push: function $push(file) {
      var oldFile = this.uploadFiles.find(function (item) {
        return item.key === file.key;
      });
      if (!oldFile) {
        file.count = 1;
        this.uploadFiles.push(file);
        return true;
      } else {
        return false;
      }
    },

    // 选择文件界面选中处理
    $choose: function $choose(file) {
      var _this16 = this;

      var index = this.uploadFiles.findIndex(function (fl) {
        return fl.key === file.key;
      });
      if (index === -1) {
        if (this.limit > 0 && this.uploadFiles.length === this.limit) {
          var lastChecked = this.chooseFiles.find(function (item) {
            return item.key === _this16.uploadFiles[0].key;
          });
          lastChecked && (lastChecked.checked = false);
          this.uploadFiles.splice(0, 1);
        }
        if (this.replaceIndex > -1) {
          this.uploadFiles[this.replaceIndex] = {
            key: file.key,
            name: file.rsname,
            status: 'success',
            url: file.url,
            width: file.width,
            height: file.height
          };
        } else if (this.limit === 0 || this.limit > 0 && this.uploadFiles.length < this.limit) {
          this.$push({
            key: file.key,
            name: file.rsname,
            status: 'success',
            url: file.url,
            width: file.width,
            height: file.height
          });
        } else {
          return;
        }

        file.checked = true;
        this.$input();
        this.$emit('success', file.rsuri, file.rsname);
        if (this.limit === 1) {
          this.chooseIng = false;
        }
      } else {
        file.checked = false;
        this.uploadFiles.splice(index, 1);
        this.$input();
        this.$emit('remove', file.rsuri);
      }
    },

    // 选择文件中新增文件夹保存
    $chooseNewFolder: function $chooseNewFolder(cancel) {
      var _this17 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee13() {
        var inputValue, id;
        return regenerator_default.a.wrap(function _callee13$(_context13) {
          while (1) {
            switch (_context13.prev = _context13.next) {
              case 0:
                if (!(cancel !== false)) {
                  _context13.next = 23;
                  break;
                }

                inputValue = _this17.chooseNewFolder;

                if (!inputValue) {
                  _context13.next = 23;
                  break;
                }

                if (!(inputValue.length > 16)) {
                  _context13.next = 6;
                  break;
                }

                _this17.$message.error('长度不能超过16个字');
                return _context13.abrupt('return');

              case 6:
                _this17.chooseNewFolderIng = true;
                _context13.prev = 7;
                _context13.next = 10;
                return _this17.$post('/cmResourceFolder/add.json', {
                  cfname: inputValue,
                  rstype: _this17.type
                });

              case 10:
                id = _context13.sent;

                _this17.$cache.set(_this17.type + '-lock-folder', id.result);
                _context13.next = 14;
                return _this17.$initChooseFolders();

              case 14:
                _context13.next = 20;
                break;

              case 16:
                _context13.prev = 16;
                _context13.t0 = _context13['catch'](7);

                _this17.$message.error('保存发生错误：');
                return _context13.abrupt('return');

              case 20:
                _context13.prev = 20;

                _this17.chooseNewFolderIng = false;
                return _context13.finish(20);

              case 23:
                _this17.chooseNewFolderVisible = false;
                _this17.chooseNewFolder = '';

              case 25:
              case 'end':
                return _context13.stop();
            }
          }
        }, _callee13, _this17, [[7, 16, 20, 23]]);
      }))();
    },

    // 开始新建文件夹
    $chooseNewFolderVisible: function $chooseNewFolderVisible() {
      var _this18 = this;

      this.chooseNewFolderVisible = true;
      this.$nextTick(function () {
        _this18.$refs.chooseFolderInput.$refs.input.focus();
      });
    },

    // 删除
    $chooseDel: function $chooseDel(file) {
      var _this19 = this;

      return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee14() {
        var data;
        return regenerator_default.a.wrap(function _callee14$(_context14) {
          while (1) {
            switch (_context14.prev = _context14.next) {
              case 0:
                _this19.chooseDelIng = true;
                _context14.next = 3;
                return _this19.$delete('cmResource/deleteByid.json', {
                  rsid: file.rsid
                });

              case 3:
                data = _context14.sent;

                if (!data) {
                  _context14.next = 7;
                  break;
                }

                _context14.next = 7;
                return _this19.$chooseLoading();

              case 7:
                _this19.chooseDelIng = false;

              case 8:
              case 'end':
                return _context14.stop();
            }
          }
        }, _callee14, _this19);
      }))();
    },
    $imgLoad: function $imgLoad(event, file) {
      file.width = event.target.naturalWidth;
      file.height = event.target.naturalHeight;
      this.$cache.set(file.key, {
        width: file.width,
        height: file.height
      });
    },

    // 对外开放的：上传开始
    submit: function submit() {
      this.uploaderHandel.start();
    },

    // 对外开放的：获取文件的宽高
    getSize: function getSize() {
      var _this20 = this;

      var result = [];
      this.uploadFiles.forEach(function (file, index) {
        var img = _this20.$refs['file-' + index];
        if (img && img[0]) {
          result.push({
            width: img[0].naturalWidth,
            height: img[0].naturalHeight
          });
        }
      });
      return result;
    },

    // 对外开放的：新增文件
    addFile: function addFile() {
      this.$addFile(true);
    }
  },
  mounted: function mounted() {
    var _this21 = this;

    return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee15() {
      var that;
      return regenerator_default.a.wrap(function _callee15$(_context15) {
        while (1) {
          switch (_context15.prev = _context15.next) {
            case 0:
              if (_this21.$refs.list) {
                that = _this21;

                _this21.sortAble = new external_sortablejs_default.a(_this21.$refs.list, {
                  filter: '.menu',
                  onStart: function onStart() {
                    that.notDrag = false;
                  },
                  onEnd: function onEnd(_ref3) {
                    var _that$uploadFiles;

                    var oldIndex = _ref3.oldIndex,
                        newIndex = _ref3.newIndex;

                    (_that$uploadFiles = that.uploadFiles).splice.apply(_that$uploadFiles, [newIndex, 0].concat(that.uploadFiles.splice(oldIndex, 1)));
                    that.$input();
                    // that.notDrag = true;
                  }
                });
              }

            case 1:
            case 'end':
              return _context15.stop();
          }
        }
      }, _callee15, _this21);
    }))();
  },

  components: {
    ElProgress: progress_default.a
  },
  provide: function provide() {
    return {
      uploader: this
    };
  },

  inject: {
    elForm: {
      default: ''
    }
  },
  beforeDestroy: function beforeDestroy() {
    if (this.sortAble) {
      this.sortAble.destroy();
    }
  }
});
// CONCATENATED MODULE: ./packages/mk-upload3/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./packages/mk-upload3/src/main.vue?vue&type=style&index=0&id=00ec01dc&scoped=true&lang=css&
var mainvue_type_style_index_0_id_00ec01dc_scoped_true_lang_css_ = __webpack_require__(159);

// EXTERNAL MODULE: ./packages/mk-upload3/src/main.vue?vue&type=style&index=1&lang=css&
var mainvue_type_style_index_1_lang_css_ = __webpack_require__(161);

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/mk-upload3/src/main.vue







/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  "00ec01dc",
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/mk-upload3/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/mk-upload3/index.js


main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var mk_upload3 = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/core-js/get-iterator");

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function (useSourceMap) {
  var list = []; // return the list of modules as css string

  list.toString = function toString() {
    return this.map(function (item) {
      var content = cssWithMappingToString(item, useSourceMap);

      if (item[2]) {
        return '@media ' + item[2] + '{' + content + '}';
      } else {
        return content;
      }
    }).join('');
  }; // import a list of modules into the list


  list.i = function (modules, mediaQuery) {
    if (typeof modules === 'string') {
      modules = [[null, modules, '']];
    }

    var alreadyImportedModules = {};

    for (var i = 0; i < this.length; i++) {
      var id = this[i][0];

      if (id != null) {
        alreadyImportedModules[id] = true;
      }
    }

    for (i = 0; i < modules.length; i++) {
      var item = modules[i]; // skip already imported module
      // this implementation is not 100% perfect for weird media query combinations
      // when a module is imported multiple times with different media queries.
      // I hope this will never occur (Hey this way we have smaller bundles)

      if (item[0] == null || !alreadyImportedModules[item[0]]) {
        if (mediaQuery && !item[2]) {
          item[2] = mediaQuery;
        } else if (mediaQuery) {
          item[2] = '(' + item[2] + ') and (' + mediaQuery + ')';
        }

        list.push(item);
      }
    }
  };

  return list;
};

function cssWithMappingToString(item, useSourceMap) {
  var content = item[1] || '';
  var cssMapping = item[3];

  if (!cssMapping) {
    return content;
  }

  if (useSourceMap && typeof btoa === 'function') {
    var sourceMapping = toComment(cssMapping);
    var sourceURLs = cssMapping.sources.map(function (source) {
      return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */';
    });
    return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
  }

  return [content].join('\n');
} // Adapted from convert-source-map (MIT)


function toComment(sourceMap) {
  // eslint-disable-next-line no-undef
  var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
  var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;
  return '/*# ' + data + ' */';
}

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/regenerator");

/***/ }),

/***/ 30:
/***/ (function(module, exports, __webpack_require__) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/

var stylesInDom = {};

var	memoize = function (fn) {
	var memo;

	return function () {
		if (typeof memo === "undefined") memo = fn.apply(this, arguments);
		return memo;
	};
};

var isOldIE = memoize(function () {
	// Test for IE <= 9 as proposed by Browserhacks
	// @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
	// Tests for existence of standard globals is to allow style-loader
	// to operate correctly into non-standard environments
	// @see https://github.com/webpack-contrib/style-loader/issues/177
	return window && document && document.all && !window.atob;
});

var getTarget = function (target, parent) {
  if (parent){
    return parent.querySelector(target);
  }
  return document.querySelector(target);
};

var getElement = (function (fn) {
	var memo = {};

	return function(target, parent) {
                // If passing function in options, then use it for resolve "head" element.
                // Useful for Shadow Root style i.e
                // {
                //   insertInto: function () { return document.querySelector("#foo").shadowRoot }
                // }
                if (typeof target === 'function') {
                        return target();
                }
                if (typeof memo[target] === "undefined") {
			var styleTarget = getTarget.call(this, target, parent);
			// Special case to return head of iframe instead of iframe itself
			if (window.HTMLIFrameElement && styleTarget instanceof window.HTMLIFrameElement) {
				try {
					// This will throw an exception if access to iframe is blocked
					// due to cross-origin restrictions
					styleTarget = styleTarget.contentDocument.head;
				} catch(e) {
					styleTarget = null;
				}
			}
			memo[target] = styleTarget;
		}
		return memo[target]
	};
})();

var singleton = null;
var	singletonCounter = 0;
var	stylesInsertedAtTop = [];

var	fixUrls = __webpack_require__(31);

module.exports = function(list, options) {
	if (typeof DEBUG !== "undefined" && DEBUG) {
		if (typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
	}

	options = options || {};

	options.attrs = typeof options.attrs === "object" ? options.attrs : {};

	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	if (!options.singleton && typeof options.singleton !== "boolean") options.singleton = isOldIE();

	// By default, add <style> tags to the <head> element
        if (!options.insertInto) options.insertInto = "head";

	// By default, add <style> tags to the bottom of the target
	if (!options.insertAt) options.insertAt = "bottom";

	var styles = listToStyles(list, options);

	addStylesToDom(styles, options);

	return function update (newList) {
		var mayRemove = [];

		for (var i = 0; i < styles.length; i++) {
			var item = styles[i];
			var domStyle = stylesInDom[item.id];

			domStyle.refs--;
			mayRemove.push(domStyle);
		}

		if(newList) {
			var newStyles = listToStyles(newList, options);
			addStylesToDom(newStyles, options);
		}

		for (var i = 0; i < mayRemove.length; i++) {
			var domStyle = mayRemove[i];

			if(domStyle.refs === 0) {
				for (var j = 0; j < domStyle.parts.length; j++) domStyle.parts[j]();

				delete stylesInDom[domStyle.id];
			}
		}
	};
};

function addStylesToDom (styles, options) {
	for (var i = 0; i < styles.length; i++) {
		var item = styles[i];
		var domStyle = stylesInDom[item.id];

		if(domStyle) {
			domStyle.refs++;

			for(var j = 0; j < domStyle.parts.length; j++) {
				domStyle.parts[j](item.parts[j]);
			}

			for(; j < item.parts.length; j++) {
				domStyle.parts.push(addStyle(item.parts[j], options));
			}
		} else {
			var parts = [];

			for(var j = 0; j < item.parts.length; j++) {
				parts.push(addStyle(item.parts[j], options));
			}

			stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
		}
	}
}

function listToStyles (list, options) {
	var styles = [];
	var newStyles = {};

	for (var i = 0; i < list.length; i++) {
		var item = list[i];
		var id = options.base ? item[0] + options.base : item[0];
		var css = item[1];
		var media = item[2];
		var sourceMap = item[3];
		var part = {css: css, media: media, sourceMap: sourceMap};

		if(!newStyles[id]) styles.push(newStyles[id] = {id: id, parts: [part]});
		else newStyles[id].parts.push(part);
	}

	return styles;
}

function insertStyleElement (options, style) {
	var target = getElement(options.insertInto)

	if (!target) {
		throw new Error("Couldn't find a style target. This probably means that the value for the 'insertInto' parameter is invalid.");
	}

	var lastStyleElementInsertedAtTop = stylesInsertedAtTop[stylesInsertedAtTop.length - 1];

	if (options.insertAt === "top") {
		if (!lastStyleElementInsertedAtTop) {
			target.insertBefore(style, target.firstChild);
		} else if (lastStyleElementInsertedAtTop.nextSibling) {
			target.insertBefore(style, lastStyleElementInsertedAtTop.nextSibling);
		} else {
			target.appendChild(style);
		}
		stylesInsertedAtTop.push(style);
	} else if (options.insertAt === "bottom") {
		target.appendChild(style);
	} else if (typeof options.insertAt === "object" && options.insertAt.before) {
		var nextSibling = getElement(options.insertAt.before, target);
		target.insertBefore(style, nextSibling);
	} else {
		throw new Error("[Style Loader]\n\n Invalid value for parameter 'insertAt' ('options.insertAt') found.\n Must be 'top', 'bottom', or Object.\n (https://github.com/webpack-contrib/style-loader#insertat)\n");
	}
}

function removeStyleElement (style) {
	if (style.parentNode === null) return false;
	style.parentNode.removeChild(style);

	var idx = stylesInsertedAtTop.indexOf(style);
	if(idx >= 0) {
		stylesInsertedAtTop.splice(idx, 1);
	}
}

function createStyleElement (options) {
	var style = document.createElement("style");

	if(options.attrs.type === undefined) {
		options.attrs.type = "text/css";
	}

	if(options.attrs.nonce === undefined) {
		var nonce = getNonce();
		if (nonce) {
			options.attrs.nonce = nonce;
		}
	}

	addAttrs(style, options.attrs);
	insertStyleElement(options, style);

	return style;
}

function createLinkElement (options) {
	var link = document.createElement("link");

	if(options.attrs.type === undefined) {
		options.attrs.type = "text/css";
	}
	options.attrs.rel = "stylesheet";

	addAttrs(link, options.attrs);
	insertStyleElement(options, link);

	return link;
}

function addAttrs (el, attrs) {
	Object.keys(attrs).forEach(function (key) {
		el.setAttribute(key, attrs[key]);
	});
}

function getNonce() {
	if (false) {}

	return __webpack_require__.nc;
}

function addStyle (obj, options) {
	var style, update, remove, result;

	// If a transform function was defined, run it on the css
	if (options.transform && obj.css) {
	    result = typeof options.transform === 'function'
		 ? options.transform(obj.css) 
		 : options.transform.default(obj.css);

	    if (result) {
	    	// If transform returns a value, use that instead of the original css.
	    	// This allows running runtime transformations on the css.
	    	obj.css = result;
	    } else {
	    	// If the transform function returns a falsy value, don't add this css.
	    	// This allows conditional loading of css
	    	return function() {
	    		// noop
	    	};
	    }
	}

	if (options.singleton) {
		var styleIndex = singletonCounter++;

		style = singleton || (singleton = createStyleElement(options));

		update = applyToSingletonTag.bind(null, style, styleIndex, false);
		remove = applyToSingletonTag.bind(null, style, styleIndex, true);

	} else if (
		obj.sourceMap &&
		typeof URL === "function" &&
		typeof URL.createObjectURL === "function" &&
		typeof URL.revokeObjectURL === "function" &&
		typeof Blob === "function" &&
		typeof btoa === "function"
	) {
		style = createLinkElement(options);
		update = updateLink.bind(null, style, options);
		remove = function () {
			removeStyleElement(style);

			if(style.href) URL.revokeObjectURL(style.href);
		};
	} else {
		style = createStyleElement(options);
		update = applyToTag.bind(null, style);
		remove = function () {
			removeStyleElement(style);
		};
	}

	update(obj);

	return function updateStyle (newObj) {
		if (newObj) {
			if (
				newObj.css === obj.css &&
				newObj.media === obj.media &&
				newObj.sourceMap === obj.sourceMap
			) {
				return;
			}

			update(obj = newObj);
		} else {
			remove();
		}
	};
}

var replaceText = (function () {
	var textStore = [];

	return function (index, replacement) {
		textStore[index] = replacement;

		return textStore.filter(Boolean).join('\n');
	};
})();

function applyToSingletonTag (style, index, remove, obj) {
	var css = remove ? "" : obj.css;

	if (style.styleSheet) {
		style.styleSheet.cssText = replaceText(index, css);
	} else {
		var cssNode = document.createTextNode(css);
		var childNodes = style.childNodes;

		if (childNodes[index]) style.removeChild(childNodes[index]);

		if (childNodes.length) {
			style.insertBefore(cssNode, childNodes[index]);
		} else {
			style.appendChild(cssNode);
		}
	}
}

function applyToTag (style, obj) {
	var css = obj.css;
	var media = obj.media;

	if(media) {
		style.setAttribute("media", media)
	}

	if(style.styleSheet) {
		style.styleSheet.cssText = css;
	} else {
		while(style.firstChild) {
			style.removeChild(style.firstChild);
		}

		style.appendChild(document.createTextNode(css));
	}
}

function updateLink (link, options, obj) {
	var css = obj.css;
	var sourceMap = obj.sourceMap;

	/*
		If convertToAbsoluteUrls isn't defined, but sourcemaps are enabled
		and there is no publicPath defined then lets turn convertToAbsoluteUrls
		on by default.  Otherwise default to the convertToAbsoluteUrls option
		directly
	*/
	var autoFixUrls = options.convertToAbsoluteUrls === undefined && sourceMap;

	if (options.convertToAbsoluteUrls || autoFixUrls) {
		css = fixUrls(css);
	}

	if (sourceMap) {
		// http://stackoverflow.com/a/26603875
		css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
	}

	var blob = new Blob([css], { type: "text/css" });

	var oldSrc = link.href;

	link.href = URL.createObjectURL(blob);

	if(oldSrc) URL.revokeObjectURL(oldSrc);
}


/***/ }),

/***/ 31:
/***/ (function(module, exports) {


/**
 * When source maps are enabled, `style-loader` uses a link element with a data-uri to
 * embed the css on the page. This breaks all relative urls because now they are relative to a
 * bundle instead of the current page.
 *
 * One solution is to only use full urls, but that may be impossible.
 *
 * Instead, this function "fixes" the relative urls to be absolute according to the current page location.
 *
 * A rudimentary test suite is located at `test/fixUrls.js` and can be run via the `npm test` command.
 *
 */

module.exports = function (css) {
  // get current location
  var location = typeof window !== "undefined" && window.location;

  if (!location) {
    throw new Error("fixUrls requires window.location");
  }

	// blank or null?
	if (!css || typeof css !== "string") {
	  return css;
  }

  var baseUrl = location.protocol + "//" + location.host;
  var currentDir = baseUrl + location.pathname.replace(/\/[^\/]*$/, "/");

	// convert each url(...)
	/*
	This regular expression is just a way to recursively match brackets within
	a string.

	 /url\s*\(  = Match on the word "url" with any whitespace after it and then a parens
	   (  = Start a capturing group
	     (?:  = Start a non-capturing group
	         [^)(]  = Match anything that isn't a parentheses
	         |  = OR
	         \(  = Match a start parentheses
	             (?:  = Start another non-capturing groups
	                 [^)(]+  = Match anything that isn't a parentheses
	                 |  = OR
	                 \(  = Match a start parentheses
	                     [^)(]*  = Match anything that isn't a parentheses
	                 \)  = Match a end parentheses
	             )  = End Group
              *\) = Match anything and then a close parens
          )  = Close non-capturing group
          *  = Match anything
       )  = Close capturing group
	 \)  = Match a close parens

	 /gi  = Get all matches, not the first.  Be case insensitive.
	 */
	var fixedCss = css.replace(/url\s*\(((?:[^)(]|\((?:[^)(]+|\([^)(]*\))*\))*)\)/gi, function(fullMatch, origUrl) {
		// strip quotes (if they exist)
		var unquotedOrigUrl = origUrl
			.trim()
			.replace(/^"(.*)"$/, function(o, $1){ return $1; })
			.replace(/^'(.*)'$/, function(o, $1){ return $1; });

		// already a full url? no change
		if (/^(#|data:|http:\/\/|https:\/\/|file:\/\/\/|\s*$)/i.test(unquotedOrigUrl)) {
		  return fullMatch;
		}

		// convert the url to a full url
		var newUrl;

		if (unquotedOrigUrl.indexOf("//") === 0) {
		  	//TODO: should we add protocol?
			newUrl = unquotedOrigUrl;
		} else if (unquotedOrigUrl.indexOf("/") === 0) {
			// path should be relative to the base url
			newUrl = baseUrl + unquotedOrigUrl; // already starts with '/'
		} else {
			// path should be relative to current directory
			newUrl = currentDir + unquotedOrigUrl.replace(/^\.\//, ""); // Strip leading './'
		}

		// send back the fixed url(...)
		return "url(" + JSON.stringify(newUrl) + ")";
	});

	// send back the fixed css
	return fixedCss;
};


/***/ }),

/***/ 35:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/extends");

/***/ }),

/***/ 36:
/***/ (function(module, exports) {

module.exports = require("mk-element/lib/progress");

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("babel-runtime/helpers/asyncToGenerator");

/***/ }),

/***/ 70:
/***/ (function(module, exports, __webpack_require__) {


var content = __webpack_require__(160);

if(typeof content === 'string') content = [[module.i, content, '']];

var transform;
var insertInto;



var options = {"hmr":true}

options.transform = transform
options.insertInto = undefined;

var update = __webpack_require__(30)(content, options);

if(content.locals) module.exports = content.locals;

if(false) {}

/***/ }),

/***/ 71:
/***/ (function(module, exports, __webpack_require__) {


var content = __webpack_require__(162);

if(typeof content === 'string') content = [[module.i, content, '']];

var transform;
var insertInto;



var options = {"hmr":true}

options.transform = transform
options.insertInto = undefined;

var update = __webpack_require__(30)(content, options);

if(content.locals) module.exports = content.locals;

if(false) {}

/***/ }),

/***/ 94:
/***/ (function(module, exports) {

module.exports = require("sortablejs");

/***/ })

/******/ });